//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 22 lights, 28 materials and 700 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.3a For Windows Copyright (c) 1993-2001 Lutz + Kretzschmar
//

//  Date : 02/13/2003    (13.02.2003)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera02
  location  <      2.121,       1.534,       1.071>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.37642,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         51.51461    // Vertical      38.636
  look_at   <     -3.901,      -3.238,      -1.800>
}

//    Other cameras are commented out.
/*
camera {  //  Camera Camera01
  location  <      0.802,      14.265,       0.880>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.36957,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         47.57729    // Vertical      35.683
  look_at   <     -3.451,       4.724,      -1.377>
}

*/

/*
camera {  //  Camera Camera03
  location  <     -0.302,       4.776,       0.327>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33872,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         18.96670    // Vertical      14.225
  look_at   <     -0.728,       1.677,       0.333>
}

*/

/*
camera {  //  Camera SpotCam
  location  <     -2.080,       2.400,       1.530> // Attached to Spotlight001
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.37690,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         51.77400    // Vertical      38.830
  look_at   <     -2.092,       2.434,       1.495> // Following Spotlight001
}

*/

/*
camera {  //  Camera SpotCam001
  location  <      0.030,      -0.821,       2.000> // Attached to Spotlight008
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.40283,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         63.74202    // Vertical      47.807
  look_at   <      0.030,      -0.820,       1.800> // Following Spotlight008
}

*/

/*
camera {  //  Camera SpotCam002
  location  <     -2.620,      -0.821,       2.000> // Attached to Spotlight009
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.40283,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         63.74202    // Vertical      47.807
  look_at   <     -2.620,      -0.820,       1.800> // Following Spotlight009
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Light009
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  fade_distance  1.0
  fade_power 1.0
  scale 0.05
  translate  <0.03, -0.82, 2.0>
}

light_source {   // Light008
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  fade_distance  1.0
  fade_power 1.0
  scale 0.05
  translate  <-2.62, -0.82, 2.0>
}

light_source {   // Spotlight Spotlight009
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.7000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    25.000  // outer radius (in deg)
    radius     12.500  // inner radius
    tightness  0.000
  fade_distance  5.0
  fade_power 1.0
  scale 0.2
  translate  <-2.62, -0.82, 2.0>
}

light_source {   // Spotlight Spotlight008
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.7000
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    25.000  // outer radius (in deg)
    radius     12.500  // inner radius
    tightness  0.000
  fade_distance  5.0
  fade_power 1.0
  scale 0.2
  translate  <0.03, -0.82, 2.0>
}

#declare Spotlight007 = light_source {   // Spotlight Spotlight007
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  media_attenuation on
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light007 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  media_attenuation on
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare Spotlight005 = light_source {   // Spotlight Spotlight005
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  media_attenuation on
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light005 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  media_attenuation on
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare Spotlight006 = light_source {   // Spotlight Spotlight006
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  media_attenuation on
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light006 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  media_attenuation on
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare Spotlight003 = light_source {   // Spotlight Spotlight003
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light003 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  media_attenuation on
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare Spotlight004 = light_source {   // Spotlight Spotlight004
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  media_attenuation on
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light004 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  media_attenuation on
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare Spotlight002 = light_source {   // Spotlight Spotlight002
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  media_attenuation on
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light002 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare Spotlight001 = light_source {   // Spotlight Spotlight001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.8500
  spotlight
    point_at  <0.0, 0.0, -2.000>
    falloff    20.000  // outer radius (in deg)
    radius     7.500  // inner radius
    tightness  0.000
  scale 0.05
  rotate <0.0, 90.0, 0.0>
  translate  <-2.52, 2.58, 1.53>
}

#declare Light001 = light_source {
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>*0.5000
  scale 0.05
  rotate <-167.580078, 19.121651, -146.087036>
  translate  <-2.535682, 2.569457, 1.523449>
}

#declare BoxLight1 = light_source {   // Arealight BoxLight1
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 7, 3
  adaptive 1
  fade_distance  5.0
  fade_power 1.0
  scale <1.4, 0.2, 1.0>
  translate  <-1.49, -4.61, 1.43>
}


#declare BoxLight2 = light_source {   // Arealight BoxLight2
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 20, 3
  adaptive 1
  jitter
  fade_distance  5.0
  fade_power 1.0
  scale <7.22, 0.2, 1.0>
  rotate -90.0*z
  translate  <-3.21, 3.13, 1.43>
}


#declare BoxLight3 = light_source {   // Arealight BoxLight3
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 20, 3
  adaptive 1
  jitter
  fade_distance  5.0
  fade_power 1.0
  scale <6.71, 0.2, 1.0>
  rotate -90.0*z
  translate  <3.22, 3.65, 1.43>
}


#declare FluoLight1 = light_source {   // Arealight FluoLight1
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 5, 3
  adaptive 1
  fade_distance  3.0
  fade_power 1.0
  scale <0.68, 0.2, 1.0>
  translate  <-1.93, -2.06, 1.705>
}



//
// ********  MATERIALS  *******
//

#include "penny model.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare CoffeeJarP1 = merge {
  superellipsoid { // SuperQ002
    <1.0, 0.1>
    scale <0.12, 0.12, 0.135>
    translate  <-3.55, -0.81, -0.03>
  }
  cylinder { // Cylndr146
    <0,0,1>, <0,0,0>, 1 
    scale <0.11, 0.11, 0.03>
    translate  <-3.55, -0.81, 0.1>
  }
}
#declare CoffeeJarQ1 = difference {
  object { CoffeeJarP1 }
  torus { // Torus033
    1.598, 0.14  rotate -x*90
    scale 0.07
    translate  <-3.55, -0.81, 0.115>
  }
  superellipsoid { // SuperQ003
    <1.0, 0.1>
    scale <0.11, 0.11, 0.125>
    translate  <-3.55, -0.81, -0.03>
  }
  cylinder { // Cylndr147
    <0,0,1>, <0,0,0>, 1 
    scale <0.09, 0.09, 0.06>
    translate  <-3.55, -0.81, 0.08>
  }
}
#declare CoffeeJarLidP1 = merge {
  cone { // Cone010
    <0,0,0>, 1.0, <0,0,1>, 0.3
    scale <0.11, 0.11, 0.02>
    translate  <-3.55, -0.81, 0.15>
  }
  cylinder { // Cylndr148
    <0,0,1>, <0,0,0>, 1 
    scale <0.11, 0.11, 0.005>
    translate  <-3.55, -0.81, 0.145>
  }
  cylinder { // Cylndr149
    <0,0,1>, <0,0,0>, 1 
    scale <0.035, 0.035, 0.01>
    translate  <-3.55, -0.81, 0.165>
  }
  superellipsoid { // SuperQ004
    <1.0, 0.425>
    scale <0.02, 0.025, 0.02>
    translate  <-3.55, -0.81, 0.185>
  }
}
#declare CoffeeJarLidQ1 = difference {
  object { CoffeeJarLidP1 }
  torus { // Torus034
    1.267, 0.182  rotate -x*90
    scale <0.02, 0.02, 0.035>
    translate  <-3.55, -0.81, 0.181279>
  }
  rotate <-0.0, -0.0, 0.0>
  translate  <3.55, 0.805, -0.16>
  translate  <-3.55, -0.805, 0.145>
}
#declare CoffeeJar1 = union {
  object { CoffeeJarQ1 }
  object { CoffeeJarLidQ1 }
  rotate <-0.0, 0.0, -0.0>
  translate  <3.55, 0.81, 0.005>
  material {
    CoffeeJarGlass
  }
  rotate 14.0*y
  translate  <-3.765, -0.81, -0.015>
}
#declare CoffeeJar13 = object {
  object { // CoffeeJar13 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  0.49*z
  }
}
#declare CoffeeJarLabelX1 = difference {
  cylinder { // Cylndr152
    <0,0,1>, <0,0,0>, 1 
    scale <0.125, 0.125, 0.105>
    translate  <-3.765, -0.81, -0.085>
  }
  cylinder { // Cylndr153
    <0,0,1>, <0,0,0>, 1 
    scale <0.12, 0.12, 0.115>
    translate  <-3.765, -0.81, -0.09>
  }
}
#declare CoffeeJarLabel1 = intersection {
  object { CoffeeJarLabelX1 }
  box { // Cube050
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 0.05, 0.065>
    translate  <-3.65, -0.81, -0.03>
  }
  rotate <-0.0, 0.0, -0.0>
  translate  <3.765, 0.81, 0.015>
  material {
    WhiteMatteLam
  }
  rotate 14.0*y
  translate  <-3.765, -0.81, -0.015>
}
#declare CoffeeJarLabel13 = object {
  object { // CoffeeJarLabel13 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  0.49*z
  }
}


#declare Cylndr046 = object {
  cylinder { // Cylndr046
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
}


#declare SuspCeilSupport9 = object {
  box { // SuspCeilSupport9
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <2.82, 0.015, 0.005>
    translate  <0.0, -3.07, 1.86>
  }
}
#declare SuspCeilSupport1 = object {
  box { // SuspCeilSupport1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <0.015, 7.39, 0.005>
    translate  <-2.42, 3.19, 1.86>
  }
}


#declare ButteryBubble1 = intersection {
  sphere { // Sphere009
    <0,0,0>,1
    scale <0.027, 0.027, 0.003>
    translate  <-1.92, -5.25, -0.239084>
  }
  box { // Cube039
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.04, 0.01>
    translate  <-1.92, -5.25, -0.23>
  }
}
#declare ButterTop1 = union {
  cylinder { // Cylndr038
    <0,0,1>, <0,0,0>, 1 
    scale <0.035, 0.035, 0.001>
    translate  <-1.92, -5.25, -0.24>
  }
  object { ButteryBubble1 }
}
#declare ButterBase1 = intersection {
  superellipsoid { // SuperQ001
    <1.0, 0.297>
    scale <0.03, 0.03, 0.025>
    translate  <-1.92, -5.25, -0.24>
  }
  box { // Cube038
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.04, 0.02>
    translate  <-1.92, -5.25, -0.26>
  }
}
#declare ButteryUnit1 = union {
  object { ButterTop1 }
  object { ButterBase1 }
  rotate <0.0, -0.0, 0.0>
  translate  <1.92, 5.25, 0.25>
  material {
    ButteryYelow
  }
  translate  <-1.903386, -5.221124, -0.403004>
}
#declare ButteryUnit2 = object {
  object { // ButteryUnit2 -> ButteryUnit1
    ButteryUnit1
    rotate <-6.921916, 4.811992, -0.583476>
    translate  <-0.017309, -0.05288, -0.772032>
  }
}
#declare ButteryUnit3 = object {
  object { // ButteryUnit3 -> ButteryUnit2
    ButteryUnit2
    rotate 13.69585*z
    translate  <-1.250442, 0.316689, 0.014>
  }
}
#declare ButterCup1 = union {
  cone { // Cone008
    <0,0,0>, 0.93, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.03>
    translate  <-1.92, -5.24, -0.4>
  }
  cone { // Cone007
    <0,0,0>, 0.669, <0,0,1>, 1.0
    scale <0.069231, 0.069231, 0.15>
    translate  <-1.92, -5.24, -0.52>
  }
  torus { // Torus025
    1.8, 0.2  rotate -x*90
    scale <0.04, 0.04, 0.03>
    translate  <-1.92, -5.24, -0.37>
  }
}
#declare ButterCupX1 = difference {
  object { ButterCup1 }
  cone { // Cone009
    <0,0,0>, 0.669, <0,0,1>, 1.0
    scale <0.064615, 0.064615, 0.14>
    translate  <-1.92, -5.24, -0.5>
  }
  material {
    WalGreen
  }
}
#declare ButterCupAssy1 = union {
  object { ButteryUnit2 }
  object { // ButteryUnit4 -> ButteryUnit3
    ButteryUnit3
    rotate <-12.949979, -0.0, 52.454403>
    translate  <-4.912657, -0.53248, -1.184063>
  }
  object { ButteryUnit3 }
  object { ButterCupX1 }
  object { ButteryUnit1 }
}
#declare NapkinDecorativeRidge1 = union {
  cylinder { // Cylndr037
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.18>
    translate  <-1.69, -5.18, -0.48>
  }
  sphere { // Sphere007
    <0,0,0>,1
    scale 0.01
    translate  <-1.69, -5.18, -0.3>
  }
  sphere { // Sphere008
    <0,0,0>,1
    scale 0.01
    translate  <-1.69, -5.18, -0.48>
  }
  translate  -0.005*x
}
#declare NapkinDecorativeRidge2 = object {
  object { // NapkinDecorativeRidge2 -> NapkinDecorativeRidge1
    NapkinDecorativeRidge1
    translate  -0.08*y
  }
}
#declare RubberFoot1 = object {
  cylinder { // RubberFoot1
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.02>
    translate  <-1.72, -5.27, -0.52>
  }
}
#declare RubberFoot3 = object {
  object { // RubberFoot3 -> RubberFoot1
    RubberFoot1
    rotate -0.0*x
    translate  0.1*y
  }
}
#declare NapkinDispenserFrameX1 = difference {
  superellipsoid { // NapkinDispenserFrame1
    <0.1, 0.1>
    scale <0.06, 0.08, 0.12>
    translate  <-1.75, -5.22, -0.39>
  }
  superellipsoid { // NapkinDispenserFrame2
    <0.1, 0.1>
    scale <0.051, 0.080769, 0.108>
    translate  <-1.75, -5.22, -0.39>
  }
}
#declare NapkinDispenserBody1 = union {
  object { NapkinDecorativeRidge1 }
  object { NapkinDecorativeRidge2 }
  object { // NapkinDecorativeRidge3 -> NapkinDecorativeRidge2
    NapkinDecorativeRidge2
    translate  -0.11*x
  }
  object { // NapkinDecorativeRidge4 -> NapkinDecorativeRidge2
    NapkinDecorativeRidge2
    translate  <-0.11, 0.08, 0.0>
  }
  object { NapkinDispenserFrameX1 }
}
#declare NapkinDispenser1 = union {
  object { NapkinDispenserBody1 }
  object { RubberFoot1 }
  object { // RubberFoot2 -> RubberFoot1
    RubberFoot1
    rotate -0.0*x
    translate  -0.06*x
  }
  object { RubberFoot3 }
  object { // RubberFoot4 -> RubberFoot3
    RubberFoot3
    translate  -0.06*x
  }
  box { // Napkin1
    <-1, -1, -1>, <1, 1, 1>
    material {
      NapkinPaper
    }
    scale <0.047401, 0.01, 0.101305>
    translate  <-1.75, -5.149889, -0.389687>
  }
  box { // Napkin2
    <-1, -1, -1>, <1, 1, 1>
    material {
      NapkinPaper
    }
    scale <0.047401, 0.01, 0.101305>
    translate  <-1.75, -5.290366, -0.389687>
  }
  scale <16.666662, 12.500001, 9.090906>
  rotate <-180.0, 0.0, -180.0>
  translate  <-29.166638, 65.24991, -3.54545>
  material {
    BlackMatteLegs
  }
  scale <0.070909, 0.094545, 0.13>
  rotate <180.0, 0.0, -180.0>
  translate  <-1.72, -5.22, -0.37>
}
#declare SugarShakerX1 = difference {
  cylinder { // Cylndr150
    <0,0,1>, <0,0,0>, 1 
    scale <0.045, 0.045, 0.2>
    translate  <-0.02, 3.335, -0.88>
  }
  cylinder { // Cylndr151
    <0,0,1>, <0,0,0>, 1 
    scale <0.035, 0.035, 0.19>
    translate  <-0.02, 3.335, -0.865>
  }
}
#declare Sugar1 = union {
  cylinder { // SugarA1
    <0,0,1>, <0,0,0>, 1 
    scale <0.035, 0.035, 0.115>
    translate  <-0.02, 3.335, -0.865>
  }
  cone { // SugarB1
    <0,0,0>, 1.0, <0,0,1>, 0.2
    scale <0.035, 0.035, 0.02>
    rotate -8.0*y
    translate  <-0.02, 3.335, -0.755>
  }
  material {
    WhiteMatteLam
  }
}
#declare SugarShakerLid1 = union {
  cone { // SugarShakerLidA1
    <0,0,0>, 1.0, <0,0,1>, 0.2
    scale <0.045, 0.045, 0.02>
    rotate <0.0, 0.0, 0.0>
    translate  <-0.02, 3.335, -0.675>
  }
  cylinder { // SugarShakerLidB1
    <0,0,1>, <0,0,0>, 1 
    scale <0.045, 0.045, 0.02>
    translate  <-0.02, 3.335, -0.695>
  }
  scale <22.444454, 22.222227, 50.000004>
  rotate <0.0, 0.0, -0.0>
  translate  <0.444447, -74.111461, 33.75>
  material {
    T_Chrome_3A
  }
  scale <0.0455, 0.0455, 0.02>
  translate  <-0.02, 3.335, -0.675>
}
#declare SugarShaker1 = union {
  object { SugarShakerX1 }
  object { Sugar1 }
  object { SugarShakerLid1 }
  scale <22.222218, 22.222223, 8.695645>
  rotate -0.0*x
  translate  <0.444447, -74.11111, 6.695665>
  material {
    CoffeeJarGlass
  }
  scale <0.045, 0.045, 0.115>
  rotate -0.0*x
  translate  <-1.85, -5.125, -0.41>
}
#declare TableOrnaments = union {
  object { ButterCupAssy1 }
  object { NapkinDispenser1 }
  object { SugarShaker1 }
}
#declare TableOrnaments1 = object {
  object { // TableOrnaments1 -> TableOrnaments
    TableOrnaments
    // TableOrnaments1 does not inherit transformations, so do 
    // inverse transformations of TableOrnaments
    // Now write the regular transformations of TableOrnaments1
    translate  <1.7, 4.59, 0.04>
  }
}
#declare TableOrnaments2 = object {
  object { // TableOrnaments2 -> TableOrnaments1
    TableOrnaments1
    rotate 179.0*z
    translate  <-0.86, 0.5, -0.41>
  }
}
#declare TableOrnaments11 = object {
  object { // TableOrnaments11 -> TableOrnaments2
    TableOrnaments2
    translate  <-2.93, 1.09, 0.0>
  }
}
#declare TableOrnaments12 = object {
  object { // TableOrnaments12 -> TableOrnaments11
    TableOrnaments11
    rotate -91.0*z
    translate  <-5.94, 0.94, 0.0>
  }
}
#declare TableOrnaments13 = object {
  object { // TableOrnaments13 -> TableOrnaments12
    TableOrnaments12
    rotate -174.0*z
    translate  <-7.84, 10.98, 0.0>
  }
}
#declare TableOrnaments6 = object {
  object { // TableOrnaments6 -> TableOrnaments2
    TableOrnaments2
    translate  <-1.43, 0.54, 0.0>
  }
}
#declare TableOrnaments7 = object {
  object { // TableOrnaments7 -> TableOrnaments6
    TableOrnaments6
    rotate -0.0*z
    translate  <-0.02, 2.54, 0.0>
  }
}
#declare TableOrnaments8 = object {
  object { // TableOrnaments8 -> TableOrnaments7
    TableOrnaments7
    translate  <0.02, 2.33, 0.0>
  }
}
#declare TableOrnaments4 = object {
  object { // TableOrnaments4 -> TableOrnaments2
    TableOrnaments2
    translate  <0.26, 2.37, 0.0>
  }
}


#declare BarPillar1 = union {
  cylinder { // Cylndr034
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.98>
    translate  <-0.2, -0.79, -1.5>
  }
  box { // Cube036
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.14, 0.01>
    rotate <0.0, 0.0, 0.0>
    translate  <-0.2, -0.8, -0.53>
  }
  box { // Cube037
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.14, 0.01>
    rotate <0.0, 0.0, 0.0>
    translate  <-0.2, -0.8, -1.49>
  }
  translate  <-1.15, -3.59, 0.0>
}


#declare TableLegFoot1 = union {
  cone { // Cone003
    <0,0,0>, 0.25, <0,0,1>, 1.0
    scale <0.04, 0.04, 0.02>
    rotate <-180.0, 0.0, -0.0>
    translate  <-1.79, -5.13, -1.48>
  }
  sphere { // Sphere001
    <0,0,0>,1
    scale <0.01, 0.01, 0.007>
    translate  <-1.79, -5.13, -1.42>
  }
  cylinder { // Cylndr033
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.06>
    translate  <-1.79, -5.13, -1.48>
  }
  cone { // Cone002
    <0,0,0>, 0.7, <0,0,1>, 1.0
    open
    scale <0.01, 0.03, 0.42>
    rotate <-75.0, 0.0, 0.0>
    translate  <-1.79, -5.13, -1.45>
  }
  rotate <-0.0, 0.0, -0.0>
  translate  <1.79, 4.69, 1.34>
  rotate -45.0*z
  translate  <-1.79, -4.69, -1.34>
}
#declare TableFeetStem1 = union {
  cylinder { // Cylndr032
    <0,0,1>, <0,0,0>, 1 
    scale <0.05, 0.05, 0.13>
    translate  <-1.79, -4.69, -1.38>
  }
  cone { // Cone001
    <0,0,0>, 0.103, <0,0,1>, 1.0
    scale <0.19, 0.19, 0.05>
    translate  <-1.79, -4.69, -0.61>
  }
  cylinder { // Cylndr031
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.82>
    translate  <-1.79, -4.69, -1.38>
  }
}
#declare TableFeetAssy1 = union {
  object { TableFeetStem1 }
  object { // TableLegFoot4 -> TableLegFoot1
    TableLegFoot1
    rotate <-0.0, -0.0, 90.0>
    translate  <-6.48, -2.9, -0.0>
  }
  object { // TableLegFoot3 -> TableLegFoot1
    TableLegFoot1
    rotate <-0.0, -0.0, -180.0>
    translate  <-3.58, -9.38, -0.0>
  }
  object { // TableLegFoot2 -> TableLegFoot1
    TableLegFoot1
    rotate <-0.0, -0.0, -90.0>
    translate  <2.9, -6.48, -0.0>
  }
  object { TableLegFoot1 }
  material {
    BlackMatteLegs
  }
}
#declare TableTop1 = object {
  box { // TableTop1
    <-1, -1, -1>, <1, 1, 1>
    material {
      CabinetWood
    }
    scale <0.66, 0.66, 0.02>
    translate  <-1.79, -4.69, -0.54>
  }
}
#declare LargeTable1 = union {
  object { TableFeetAssy1 }
  object { TableTop1 }
  object { // TableTopLaminate1 -> TableTop1
    TableTop1
    material {
      TableTopGreenWood
    }
    scale <0.99, 0.99, 0.1>
    rotate -0.0*x
    translate  <-0.0179, -0.0469, -0.466>
  }
  rotate <0.0, -0.0, 0.0>
  translate  <1.79, 4.69, 0.95>
  translate  <-1.59, -4.69, -0.95>
}
#declare LargeTable2 = object {
  object { // LargeTable2 -> LargeTable1
    LargeTable1
    // LargeTable2 does not inherit transformations, so do 
    // inverse transformations of LargeTable1
      translate  <1.59, 4.69, 0.95>
      translate  <-1.79, -4.69, -0.95>
      rotate -0.0*z rotate 0.0*y rotate -0.0*x
    // Now write the regular transformations of LargeTable2
    translate  <1.51, 5.87, -0.37>
  }
}
#declare TableTop2 = object {
  box { // TableTop2
    <-1, -1, -1>, <1, 1, 1>
    material {
      CabinetWood
    }
    scale <0.4, 0.4, 0.02>
    translate  <-1.79, -3.38, -0.54>
  }
}
#declare TableLegFoot8 = union {
  cone { // Cone005
    <0,0,0>, 0.25, <0,0,1>, 1.0
    scale <0.04, 0.04, 0.02>
    rotate <-180.0, 0.0, -0.0>
    translate  <-1.79, -4.97, -1.48>
  }
  sphere { // Sphere006
    <0,0,0>,1
    scale <0.01, 0.01, 0.005>
    translate  <-1.79, -4.97, -1.45>
  }
  cylinder { // Cylndr036
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    translate  <-1.79, -4.97, -1.48>
  }
  cone { // Cone006
    <0,0,0>, 0.5, <0,0,1>, 1.0
    open
    scale <0.01, 0.03, 0.28>
    rotate <-80.0, -0.0, 0.0>
    translate  <-1.79, -4.97, -1.46>
  }
  rotate <-0.0, 0.0, -0.0>
  translate  <1.79, 4.69, 1.34>
  translate  <-1.79, -4.69, -1.34>
}
#declare TableFeetStem2 = union {
  cone { // Cone004
    <0,0,0>, 0.103, <0,0,1>, 1.0
    scale <0.19, 0.19, 0.05>
    translate  <-1.79, -4.69, -0.61>
  }
  cylinder { // Cylndr035
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.03, 0.86>
    translate  <-1.79, -4.69, -1.45>
  }
}
#declare TableFeetAssy2 = union {
  object { TableFeetStem2 }
  object { TableLegFoot8 }
  object { // TableLegFoot9 -> TableLegFoot8
    TableLegFoot8
    rotate -90.0*z
    translate  <2.9, -6.48, 0.0>
  }
  object { // TableLegFoot10 -> TableLegFoot8
    TableLegFoot8
    rotate 180.0*z
    translate  <-3.58, -9.38, 0.0>
  }
  object { // TableLegFoot11 -> TableLegFoot8
    TableLegFoot8
    rotate 90.0*z
    translate  <-6.48, -2.9, 0.0>
  }
  material {
    T_Chrome_3A
  }
  translate  1.317554*y
}
#declare SmallTable1 = union {
  object { // TableTopLaminate2 -> TableTop2
    TableTop2
    material {
      TableTopBrightWood
    }
    scale <0.99, 0.99, 0.1>
    translate  <-0.0179, -0.0338, -0.466>
  }
  object { TableTop2 }
  object { TableFeetAssy2 }
  translate  <0.05, 12.39, -0.37>
}
#declare SmallTable2 = object {
  object { // SmallTable2 -> SmallTable1
    SmallTable1
    // SmallTable2 does not inherit transformations, so do 
    // inverse transformations of SmallTable1
      translate  <-0.05, -12.39, 0.37>
    // Now write the regular transformations of SmallTable2
    translate  <-1.68, 3.3, -0.37>
  }
}


#declare ChairBackTop1 = intersection {
  torus { // Torus023
    1.5, 0.08  rotate -x*90
    scale <0.21, 0.3, 0.3>
    rotate 2.0*y
    translate  <-0.56, -4.35, -0.45>
  }
  box { // Cube033
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.31, 0.06>
    rotate 20.0*z
    translate  <-0.3, -4.38, -0.46>
  }
  box { // Cube034
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.31, 0.06>
    rotate -20.0*z
    translate  <-0.3, -4.32, -0.46>
  }
}
#declare ChairFrameEllbow2 = intersection {
  box { // Cube031
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.03>
    translate  <-0.78, -4.56, -0.98>
  }
  torus { // Torus022
    1.5, 0.5  rotate -x*90
    scale 0.04
    translate  <-0.73, -4.51, -0.98>
  }
  rotate -0.0*z
  translate  <0.73, 4.51, 0.98>
  rotate -90.0*z
  translate  <-0.73, -4.19, -0.98>
}
#declare ChairFrameEllbow1 = intersection {
  box { // Cube030
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.03>
    translate  <-0.78, -4.56, -0.98>
  }
  torus { // Torus021
    1.5, 0.5  rotate -x*90
    scale 0.04
    translate  <-0.73, -4.51, -0.98>
  }
  rotate -0.0*z
  translate  <0.73, 4.51, 0.98>
  translate  <-0.73, -4.51, -0.98>
}
#declare ChairBackMid1 = intersection {
  torus { // Torus024
    1.5, 0.02  rotate -x*90
    scale <0.22, 0.3, 1.19>
    rotate <0.0, 2.0, 0.0>
    translate  <-0.58, -4.35, -0.57>
  }
  box { // Cube035
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.23, 0.04>
    translate  <-0.27, -4.35, -0.58>
  }
  translate  <0.004, 0.0, 0.02>
}
#declare Chair01 = union {
  object { ChairBackTop1 }
  cylinder { // ChairFrameBeam9
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <1.0, 2.0, -0.0>
    translate  <-0.3, -4.57, -0.98>
  }
  cylinder { // ChairFrameBeam8
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <-1.0, 2.0, -0.0>
    translate  <-0.3, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam7
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <-179.0, 0.0, 180.0>
    translate  <-0.77, -4.55, -0.98>
  }
  cylinder { // ChairFrameBeam6
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <179.0, 0.0, 180.0>
    translate  <-0.77, -4.15, -0.98>
  }
  sphere { // Sphere003
    <0,0,0>,1
    scale 0.02
    translate  <-0.31, -4.57, -0.98>
  }
  sphere { // Sphere002
    <0,0,0>,1
    scale 0.02
    translate  <-0.31, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam5
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <-179.0, 0.0, 180.0>
    translate  <-0.3, -4.57, -0.98>
  }
  cylinder { // ChairFrameBeam4
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <179.0, 0.0, 180.0>
    translate  <-0.3, -4.13, -0.98>
  }
  box { // Cube032
    <-1, -1, -1>, <1, 1, 1>
    scale <0.01, 0.2, 0.03>
    translate  <-0.33, -4.35, -0.98>
  }
  cylinder { // ChairFrameBeam3
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.32>
    rotate <-90.0, -90.0, 0.0>
    translate  <-0.79, -4.51, -0.98>
  }
  object { ChairFrameEllbow2 }
  cylinder { // ChairFrameBeam2
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.42>
    rotate <0.0, -90.0, 0.0>
    translate  <-0.31, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam1
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.42>
    rotate <0.0, -90.0, 0.0>
    translate  <-0.31, -4.57, -0.98>
  }
  superellipsoid { // SeatCushion1
    <0.211, 0.564>
    material {
      ChairCushion
    }
    scale <0.25, 0.25, 0.065>
    translate  <-0.57, -4.35, -0.93>
  }
  object { ChairFrameEllbow1 }
  cylinder { // ChairFrameBeam10
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.42>
    rotate <90.0, -0.0, 0.0>
    translate  <-0.31, -4.13, -1.1>
  }
  cylinder { // ChairFrameBeam11
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.4>
    rotate <90.0, -0.0, 0.0>
    translate  <-0.76, -4.15, -1.1>
  }
  cylinder { // ChairFrameBeam12
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.46>
    rotate <90.0, -0.0, 92.0>
    translate  <-0.76, -4.15, -1.1>
  }
  cylinder { // ChairFrameBeam13
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.46>
    rotate <90.0, -0.0, 88.0>
    translate  <-0.76, -4.55, -1.1>
  }
  object { ChairBackMid1 }
  object { // ChairBackMid2 -> ChairBackMid1
    ChairBackMid1
    translate  <-0.003, 0.0, -0.1>
  }
  object { // ChairBackMid3 -> ChairBackMid1
    ChairBackMid1
    translate  <-0.006, 0.0, -0.2>
  }
  sphere { // Sphere004
    <0,0,0>,1
    material {
      T_Chrome_3A
    }
    scale <0.02146, 0.010432, 0.023921>
    rotate 19.137228*z
    translate  <-0.32198, -4.058126, -0.458735>
  }
  sphere { // Sphere005
    <0,0,0>,1
    material {
      T_Chrome_3A
    }
    scale <0.02146, 0.010432, 0.023921>
    rotate -19.13723*z
    translate  <-0.32198, -4.641913, -0.458735>
  }
  translate  <0.52, 4.35, 0.0>
  material {
    GreenMatteMetal
  }
  translate  <-0.95, -5.02, 0.0>
}
#declare Chair02 = object {
  object { // Chair02 -> Chair01
    Chair01
    // Chair02 does not inherit transformations, so do 
    // inverse transformations of Chair01
      translate  <0.95, 5.02, 0.0>
      translate  <-0.52, -4.35, 0.0>
    // Now write the regular transformations of Chair02
    translate  <-0.42, -0.02, 0.0>
  }
}
#declare Chair05 = object {
  object { // Chair05 -> Chair02
    Chair02
    // Chair05 does not inherit transformations, so do 
    // inverse transformations of Chair02
      translate  <0.42, 0.02, 0.0>
    // Now write the regular transformations of Chair05
    rotate 8.0*z
    translate  <-0.71, 1.63, 0.0>
  }
}
#declare Chair09 = object {
  object { // Chair09 -> Chair05
    Chair05
    rotate -12.0*z
    translate  <-1.85, 2.39, -0.38>
  }
}
#declare Chair10 = object {
  object { // Chair10 -> Chair09
    Chair09
    rotate <0.0, 0.0, 90.0>
    translate  <-3.6, 3.44, 0.0>
  }
}
#declare Chair11 = object {
  object { // Chair11 -> Chair10
    Chair10
    rotate <0.0, -0.0, 180.0>
    translate  <-6.9, 2.25, 0.0>
  }
}
#declare Chair13 = object {
  object { // Chair13 -> Chair11
    Chair11
    rotate 3.0*z
    translate  <1.6, -0.32, 0.0>
  }
}
#declare Chair43 = object {
  object { // Chair43 -> Chair13
    Chair13
    rotate -0.0*z
    translate  <1.38, -0.71, 0.0>
  }
}
#declare Chair12 = object {
  object { // Chair12 -> Chair11
    Chair11
    rotate -174.0*z
    translate  <-7.13, 4.03, 0.0>
  }
}
#declare Chair14 = object {
  object { // Chair14 -> Chair12
    Chair12
    rotate 0.0*z
    translate  <1.53, -0.57, 0.0>
  }
}
#declare Chair41 = object {
  object { // Chair41 -> Chair14
    Chair14
    rotate -0.0*z
    translate  <1.31, -0.06, 0.0>
  }
}
#declare Chair16 = object {
  object { // Chair16 -> Chair13
    Chair13
    rotate -20.0*z
    translate  <-0.65, 1.83, 0.0>
  }
}
#declare Chair20 = object {
  object { // Chair20 -> Chair16
    Chair16
    rotate 22.0*z
    translate  <-0.15, 3.72, 0.0>
  }
}
#declare Chair21 = object {
  object { // Chair21 -> Chair20
    Chair20
    rotate -0.0*z
    translate  <1.5, -0.27, 0.0>
  }
}
#declare Chair22 = object {
  object { // Chair22 -> Chair21
    Chair21
    rotate 179.0*z
    translate  <-3.77, 13.08, 0.0>
  }
}
#declare Chair35 = object {
  object { // Chair35 -> Chair22
    Chair22
    rotate -0.0*z
    translate  <1.13, -0.21, 0.0>
  }
}
#declare Chair36 = object {
  object { // Chair36 -> Chair35
    Chair35
    rotate -3.0*z
    translate  <0.34, 0.03, 0.0>
  }
}
#declare Chair37 = object {
  object { // Chair37 -> Chair36
    Chair36
    rotate 0.0*z
    translate  <0.04, -2.53, 0.0>
  }
}
#declare Chair38 = object {
  object { // Chair38 -> Chair37
    Chair37
    rotate 6.0*z
    translate  <-0.29, 0.05, 0.0>
  }
}
#declare Chair39 = object {
  object { // Chair39 -> Chair38
    Chair38
    rotate -179.0*z
    translate  <-1.67, 7.21, 0.0>
  }
}
#declare Chair24 = object {
  object { // Chair24 -> Chair21
    Chair21
    rotate -8.0*z
    translate  <-0.71, 2.03, 0.0>
  }
}
#declare Chair31 = object {
  object { // Chair31 -> Chair24
    Chair24
    translate  <1.18, -0.21, 0.0>
  }
}
#declare Chair32 = object {
  object { // Chair32 -> Chair31
    Chair31
    rotate 17.0*z
    translate  <3.08, 0.53, 0.0>
  }
}
#declare Chair33 = object {
  object { // Chair33 -> Chair32
    Chair32
    rotate -6.0*z
    translate  <-1.77, -2.67, 0.0>
  }
}
#declare Chair25 = object {
  object { // Chair25 -> Chair20
    Chair20
    rotate -0.0*z
    translate  <-0.15, 2.0, 0.0>
  }
}
#declare Chair26 = object {
  object { // Chair26 -> Chair25
    Chair25
    rotate 7.0*z
    translate  <1.62, 0.44, 0.0>
  }
}
#declare Chair27 = object {
  object { // Chair27 -> Chair26
    Chair26
    rotate 169.0*z
    translate  <-4.35, 18.5, 0.0>
  }
}
#declare Chair28 = object {
  object { // Chair28 -> Chair27
    Chair27
    rotate 0.0*z
    translate  <-0.65, 0.01, 0.0>
  }
}
#declare Chair29 = object {
  object { // Chair29 -> Chair28
    Chair28
    rotate 2.0*z
    translate  <3.5, -0.03, 0.0>
  }
}
#declare Chair18 = object {
  object { // Chair18 -> Chair12
    Chair12
    rotate 0.0*z
    translate  <0.03, 2.27, 0.0>
  }
}
#declare Chair06 = object {
  object { // Chair06 -> Chair05
    Chair05
    rotate 0.0*z
    translate  0.71*y
  }
}
#declare Chair07 = object {
  object { // Chair07 -> Chair06
    Chair06
    rotate 169.0*z
    translate  <-2.97, -3.93, 0.0>
  }
}
#declare Chair03 = object {
  object { // Chair03 -> Chair02
    Chair02
    rotate -176.0*z
    translate  <-2.91, -8.78, 0.0>
  }
}


#declare BeanLabelHolderX1 = difference {
  box { // BeanLabelHolder1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.01, 0.04, 0.03>
    translate  <-3.42, -1.01, -0.2>
  }
  box { // BeanLabelHolderCutout1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.01, 0.05, 0.02163>
    translate  <-3.41163, -1.01, -0.2>
  }
  rotate <-0.0, 0.0, 0.0>
  translate  <3.42, 1.01, 0.2>
  material {
    Copper_Texture
  }
  scale <1.0, 1.0, 1.388889>
  rotate <0.0, -0.0, -0.0>
  translate  <-3.53, -0.81, -0.18>
}
#declare BeanPropEdge3 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  11  // control points
  <-1.0, -0.299363>,
  <1.0, -0.299363>,
  <1.0, 0.117397>,
  <1.0, 0.117397>,
  <0.969371, 0.171872>,
  <0.941334, 0.198577>,
  <0.901686, 0.223654>,
  <-0.819202, 1.311709>,
  <-0.890508, 1.328809>,
  <-1.0, 1.329087>,
  <-1.0, -0.299363>
  rotate -x*90
  material {
    WhiteMatteLam
  }
  scale <0.16, 0.29, 0.03>
  rotate 90.0*x
  translate  <-3.7, -4.15, -0.17>
}
#declare BeanPropEdge1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  11  // control points
  <-1.0, -0.299363>,
  <1.0, -0.299363>,
  <1.0, 0.117397>,
  <1.0, 0.117397>,
  <0.969371, 0.171872>,
  <0.941334, 0.198577>,
  <0.901686, 0.223654>,
  <-0.819202, 1.311709>,
  <-0.890508, 1.328809>,
  <-1.0, 1.329087>,
  <-1.0, -0.299363>
  rotate -x*90
  material {
    WhiteMatteLam
  }
  scale <0.16, 0.29, 0.03>
  rotate 90.0*x
  translate  <-3.7, -0.6, -0.17>
}
#declare BeanProp1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  5  // control points
  <-1.0, -0.299363>,
  <1.0, -0.299363>,
  <1.0, 0.044586>,
  <-1.0, 0.458599>,
  <-1.0, -0.299363>
  rotate -x*90
  material {
    WhiteMatteLam
  }
  scale <0.15, 0.23, 3.54>
  rotate 90.0*x
  translate  <-3.71, -0.62, -0.19>
}
#declare BeanPropAssy1 = union {
  object { BeanPropEdge3 }
  box { // BeanPropFronting1
    <-1, -1, -1>, <1, 1, 1>
    material {
      CabinetWood
    }
    scale <0.01, 1.77, 0.06>
    translate  <-3.55, -2.39, -0.2>
  }
  box { // BeanPropBacking1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <0.01, 1.77, 0.24>
    translate  <-3.85, -2.39, -0.02>
  }
  object { BeanPropEdge1 }
  object { BeanProp1 }
  object { BeanLabelHolderX1 }
  object { // BeanLabelHolderX2 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -0.27*y
  }
  object { // BeanLabelHolderX3 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -0.54*y
  }
  object { // BeanLabelHolderX4 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -0.81*y
  }
  object { // BeanLabelHolderX5 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -1.08*y
  }
  object { // BeanLabelHolderX6 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -1.35*y
  }
  object { // BeanLabelHolderX7 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -1.62*y
  }
  object { // BeanLabelHolderX8 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -1.89*y
  }
  object { // BeanLabelHolderX9 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -2.16*y
  }
  object { // BeanLabelHolderX10 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -2.43*y
  }
  object { // BeanLabelHolderX11 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -2.7*y
  }
  object { // BeanLabelHolderX12 -> BeanLabelHolderX1
    BeanLabelHolderX1
    rotate <0.0, -0.0, -0.0>
    translate  -2.97*y
  }
}
#declare BeanPropAssyX1 = intersection { // BeanPropAssyX1
  object { BeanPropAssy1 }
  box { // Cube029
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <0.19, 1.83, 0.24>
    translate  <-3.69, -2.4, -0.015>
  }
  rotate <0.0, 0.0, 0.0>
  translate  <3.69, 2.4, 0.04>
  scale <1.0, 1.0, 0.72>
  translate  <-3.805, -2.4, -0.1>
}


#declare Cylndr155 = object {
  cylinder { // Cylndr155
    <0,0,1>, <0,0,0>, 1 
    material {
      RoasterPedestalGrooves
    }
    scale <0.01, 0.01, 5.13>
    rotate -90.0*x
    translate  <-0.36, -5.6, -1.5>
  }
}
#declare Cylndr158 = object {
  cylinder { // Cylndr158
    <0,0,1>, <0,0,0>, 1 
    material {
      RoasterPedestalGrooves
    }
    scale <0.01, 0.01, 4.195>
    rotate <-90.0, 0.0, 90.0>
    translate  <0.07, -1.78, -1.5>
  }
}
#declare Cylndr161 = object {
  cylinder { // Cylndr161
    <0,0,1>, <0,0,0>, 1 
    material {
      RoasterPedestalGrooves
    }
    scale <0.01, 0.01, 0.445>
    rotate <-0.0, -0.0, 0.0>
    translate  <-0.36, -0.6, -1.92>
  }
}




//
// ********  OBJECTS  *******
//

box { // redwiz_poster
  <-1, -1, -1>, <1, 1, 1>
  material {
    redwiz_texture
    scale 2.0
    rotate <-90.0, -180.0, -90.0>
    translate <0.000000, -1.000000, -1.000000>
  }
  scale <0.005, 0.4, 0.6>
  rotate -270.0*z
  translate  <-1.39, -5.36, 0.405>
}


box { // crazy_men_poster
  <-1, -1, -1>, <1, 1, 1>
  material {
    crazy_men_texture
    scale 2.0
    rotate <-90.0, -180.0, -90.0>
    translate <0.000000, -1.000000, -1.000000>
  }
  scale <0.005, 0.4, 0.26544>
  translate  <-3.96, 5.45, -0.095>
}


box { // evil_thing_poster
  <-1, -1, -1>, <1, 1, 1>
  material {
    evil_thing_texture
    scale 2.0
    rotate <-90.0, -180.0, -90.0>
    translate <0.000000, -1.000000, -1.000000>
  }
  scale <0.005, 0.5, 0.34427>
  translate  <-3.96, 6.87, -0.16>
}


box { // truck_poster
  <-1, -1, -1>, <1, 1, 1>
  material {
    truck_poster_texture
    scale 2.0
    rotate <-90.0, -180.0, -90.0>
    translate <0.000000, -1.000000, -1.000000>
  }
  scale <0.005, 0.7, 0.528302>
  translate  <-3.96, 3.79, 0.01>
}


prism { // SideMolding3
  linear_sweep
  linear_spline
  -1.0,0.0
  14  // control points
  <1.1, -0.1>,
  <-1.1, -0.1>,
  <-1.1, 0.1>,
  <-1.1, 0.1>,
  <0.990522, 0.098812>,
  <0.998358, 0.148188>,
  <1.010053, 0.171947>,
  <1.033577, 0.180151>,
  <1.060425, 0.17157>,
  <1.072177, 0.148639>,
  <1.080144, 0.1>,
  <1.1, 0.1>,
  <1.1, 0.1>,
  <1.1, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.1, 0.135, 7.94>
  rotate <-270.0, -90.0, -180.0>
  translate  <-3.965, 1.945, -0.955>
}


prism { // SideMolding4
  linear_sweep
  linear_spline
  -1.0,0.0
  14  // control points
  <1.1, -0.1>,
  <-1.1, -0.1>,
  <-1.1, 0.1>,
  <-1.1, 0.1>,
  <0.990522, 0.098812>,
  <0.998358, 0.148188>,
  <1.010053, 0.171947>,
  <1.033577, 0.180151>,
  <1.060425, 0.17157>,
  <1.072177, 0.148639>,
  <1.080144, 0.1>,
  <1.1, 0.1>,
  <1.1, 0.1>,
  <1.1, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.1, 0.135, 1.755>
  rotate <-270.0, -90.0, -180.0>
  translate  <-3.965, 12.245, -0.955>
}


box { // gishi_poster
  <-1, -1, -1>, <1, 1, 1>
  material {
    technician_logo
    scale 2.0
    rotate <-90.0, -180.0, -90.0>
    translate <0.000000, -1.000000, -1.000000>
  }
  scale <0.005, 0.2, 0.2>
  translate  <-3.96, 8.41, -0.215>
}


union { // FluoFixture1
  box { // Cube055
    <-1, -1, -1>, <1, 1, 1>
    scale <0.775, 0.25, 0.055>
    translate  <-1.93, -2.06, 1.815>
  }
  box { // Cube056
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.25, 0.105>
    translate  <-1.175, -2.06, 1.765>
  }
  box { // Cube057
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.25, 0.105>
    translate  <-2.685, -2.06, 1.765>
  }
  material {
    WhiteMatteLam
  }
}


#declare SideMolding1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  14  // control points
  <1.1, -0.1>,
  <-1.1, -0.1>,
  <-1.1, 0.1>,
  <-1.1, 0.1>,
  <0.990522, 0.098812>,
  <0.998358, 0.148188>,
  <1.010053, 0.171947>,
  <1.033577, 0.180151>,
  <1.060425, 0.17157>,
  <1.072177, 0.148639>,
  <1.080144, 0.1>,
  <1.1, 0.1>,
  <1.1, 0.1>,
  <1.1, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.1, 0.135, 2.62>
  rotate <-90.0, -90.0, -270.0>
  translate  <-0.025, -5.36, -0.5>
}
#declare SideMolding2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  14  // control points
  <1.1, -0.1>,
  <-1.1, -0.1>,
  <-1.1, 0.1>,
  <-1.1, 0.1>,
  <0.990522, 0.098812>,
  <0.998358, 0.148188>,
  <1.010053, 0.171947>,
  <1.033577, 0.180151>,
  <1.060425, 0.17157>,
  <1.072177, 0.148639>,
  <1.080144, 0.1>,
  <1.1, 0.1>,
  <1.1, 0.1>,
  <1.1, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.1, 0.14, 1.97>
  rotate <-90.0, -90.0, -180.0>
  translate  <-0.04, -3.4, -0.5>
}
union { // Moldings
  object { SideMolding1 }
  object { SideMolding2 }
}


union { // Coffee_Jars
  object { CoffeeJar1 }
  object { // CoffeeJar2 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -0.27, -0.0>
  }
  object { // CoffeeJar4 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -0.81, -0.0>
  }
  object { // CoffeeJar3 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -0.54, -0.0>
  }
  object { // CoffeeJar5 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.08, -0.0>
  }
  object { // CoffeeJar6 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.35, -0.0>
  }
  object { // CoffeeJar7 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.62, -0.0>
  }
  object { // CoffeeJar8 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.89, -0.0>
  }
  object { // CoffeeJar9 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.16, -0.0>
  }
  object { // CoffeeJar10 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.43, -0.0>
  }
  object { // CoffeeJar11 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.7, -0.0>
  }
  object { // CoffeeJar12 -> CoffeeJar1
    CoffeeJar1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.97, -0.0>
  }
  object { CoffeeJar13 }
  object { // CoffeeJar14 -> CoffeeJar13
    CoffeeJar13
    translate  -0.27*y
  }
  object { // CoffeeJar15 -> CoffeeJar13
    CoffeeJar13
    translate  -0.54*y
  }
  object { // CoffeeJar16 -> CoffeeJar13
    CoffeeJar13
    translate  -0.81*y
  }
  object { // CoffeeJar17 -> CoffeeJar13
    CoffeeJar13
    translate  -1.08*y
  }
  object { // CoffeeJar18 -> CoffeeJar13
    CoffeeJar13
    translate  -1.35*y
  }
  object { // CoffeeJar19 -> CoffeeJar13
    CoffeeJar13
    translate  -1.62*y
  }
  object { // CoffeeJar20 -> CoffeeJar13
    CoffeeJar13
    translate  -1.89*y
  }
  object { // CoffeeJar21 -> CoffeeJar13
    CoffeeJar13
    translate  -2.16*y
  }
  object { // CoffeeJar22 -> CoffeeJar13
    CoffeeJar13
    translate  -2.43*y
  }
  object { // CoffeeJar23 -> CoffeeJar13
    CoffeeJar13
    translate  -2.7*y
  }
  object { // CoffeeJar24 -> CoffeeJar13
    CoffeeJar13
    translate  -2.97*y
  }
  object { CoffeeJarLabel1 }
  object { // CoffeeJarLabel2 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -0.27, -0.0>
  }
  object { // CoffeeJarLabel3 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -0.54, -0.0>
  }
  object { // CoffeeJarLabel4 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -0.81, -0.0>
  }
  object { // CoffeeJarLabel5 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.08, -0.0>
  }
  object { // CoffeeJarLabel6 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.35, -0.0>
  }
  object { // CoffeeJarLabel7 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.62, -0.0>
  }
  object { // CoffeeJarLabel8 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -1.89, -0.0>
  }
  object { // CoffeeJarLabel9 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.16, -0.0>
  }
  object { // CoffeeJarLabel10 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.43, -0.0>
  }
  object { // CoffeeJarLabel11 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.7, -0.0>
  }
  object { // CoffeeJarLabel12 -> CoffeeJarLabel1
    CoffeeJarLabel1
    rotate <-0.0, 0.0, -0.0>
    translate  <-0.0, -2.97, -0.0>
  }
  object { CoffeeJarLabel13 }
  object { // CoffeeJarLabel14 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -0.27, 0.0>
  }
  object { // CoffeeJarLabel15 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -0.54, 0.0>
  }
  object { // CoffeeJarLabel16 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -0.81, 0.0>
  }
  object { // CoffeeJarLabel17 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -1.08, 0.0>
  }
  object { // CoffeeJarLabel18 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -1.35, 0.0>
  }
  object { // CoffeeJarLabel19 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -1.62, 0.0>
  }
  object { // CoffeeJarLabel20 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -1.89, 0.0>
  }
  object { // CoffeeJarLabel21 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -2.16, 0.0>
  }
  object { // CoffeeJarLabel22 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -2.43, 0.0>
  }
  object { // CoffeeJarLabel23 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -2.7, 0.0>
  }
  object { // CoffeeJarLabel24 -> CoffeeJarLabel13
    CoffeeJarLabel13
    translate  <-0.0, -2.97, 0.0>
  }
}










#declare TrackLightRailX4 = difference {
  box { // TrackLightRail7
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.7, 0.04>
    translate  <-2.51, 2.26, 1.82>
  }
  box { // TrackLightRail8
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.66, 0.04>
    translate  <-2.51, 2.26, 1.8>
  }
}
#declare TrackLightCan7 = difference {
  cylinder { // Cylndr129
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr130 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr131 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr132 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr133 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr134 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr135 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr136 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  cylinder { // Cylndr137
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
  cylinder { // Cylndr138
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy7 = union {
  object { Spotlight007 }
  object { TrackLightCan7 }
  object { Light007 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -232.779114, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop7 = intersection {
  torus { // Torus032
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube049
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace7 = union {
  cylinder { // Cylndr139
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr140
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr141
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr142
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr143
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop7 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy7 = union {
  object { LightCanAssy7 }
  object { TrackLightBrace7 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, 48.99472>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy7 = union {
  box { // TrackLightBase7
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy7 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 2.71, 1.6>
}
union { // TrackLightAssy4
  object { TrackLightRailX4 }
  object { TrackLightRunnerAssy7 }
  box { // Cube051
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.1, 0.06>
    translate  <-2.51, 2.29, 1.8>
  }
  material {
    BlackMatteLegs
  }
  translate  <3.19, 0.93, 0.0>
}


#declare TrackLightRailX3 = difference {
  box { // TrackLightRail5
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.7, 0.04>
    translate  <-2.51, 2.26, 1.82>
  }
  box { // TrackLightRail6
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.66, 0.04>
    translate  <-2.51, 2.26, 1.8>
  }
}
#declare TrackLightCan5 = difference {
  cylinder { // Cylndr099
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr100 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr101 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr102 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr103 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr104 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr105 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr106 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  cylinder { // Cylndr107
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
  cylinder { // Cylndr108
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy5 = union {
  object { Spotlight005 }
  object { TrackLightCan5 }
  object { Light005 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -228.376511, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop5 = intersection {
  torus { // Torus030
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube046
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace5 = union {
  cylinder { // Cylndr109
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr110
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr111
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr112
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr113
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop5 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy5 = union {
  object { LightCanAssy5 }
  object { TrackLightBrace5 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, -52.184021>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy5 = union {
  box { // TrackLightBase5
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy5 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 1.9, 1.6>
}
#declare TrackLightCan6 = difference {
  cylinder { // Cylndr114
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr115 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr116 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr117 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr118 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr119 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr120 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr121 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  cylinder { // Cylndr122
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
  cylinder { // Cylndr123
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy6 = union {
  object { Spotlight006 }
  object { TrackLightCan6 }
  object { Light006 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -212.359955, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop6 = intersection {
  torus { // Torus031
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube047
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace6 = union {
  cylinder { // Cylndr124
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr125
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr126
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr127
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr128
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop6 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy6 = union {
  object { LightCanAssy6 }
  object { TrackLightBrace6 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, 61.813034>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy6 = union {
  box { // TrackLightBase6
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy6 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 2.87, 1.6>
}
union { // TrackLightAssy3
  object { TrackLightRailX3 }
  object { TrackLightRunnerAssy5 }
  object { TrackLightRunnerAssy6 }
  box { // Cube048
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.1, 0.06>
    translate  <-2.51, 2.29, 1.8>
  }
  material {
    BlackMatteLegs
  }
  translate  <3.22, 5.14, 0.0>
}


#declare TrackLightRailX2 = difference {
  box { // TrackLightRail3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.7, 0.04>
    translate  <-2.51, 2.26, 1.82>
  }
  box { // TrackLightRail4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.66, 0.04>
    translate  <-2.51, 2.26, 1.8>
  }
}
#declare TrackLightCan3 = difference {
  cylinder { // Cylndr069
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr070 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr071 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr072 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr073 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr074 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr075 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr076 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  cylinder { // Cylndr077
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
  cylinder { // Cylndr078
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy3 = union {
  object { Spotlight003 }
  object { TrackLightCan3 }
  object { Light003 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -244.221329, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop3 = intersection {
  torus { // Torus028
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube043
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace3 = union {
  cylinder { // Cylndr079
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr080
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr081
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr082
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr083
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop3 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy3 = union {
  object { LightCanAssy3 }
  object { TrackLightBrace3 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, 162.815979>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy3 = union {
  box { // TrackLightBase3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy3 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 1.77, 1.6>
}
#declare TrackLightCan4 = difference {
  cylinder { // Cylndr084
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr085 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr086 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr087 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr088 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr089 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr090 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr091 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  cylinder { // Cylndr092
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
  cylinder { // Cylndr093
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy4 = union {
  object { Spotlight004 }
  object { TrackLightCan4 }
  object { Light004 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -234.401825, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop4 = intersection {
  torus { // Torus029
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube044
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace4 = union {
  cylinder { // Cylndr094
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr095
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr096
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr097
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr098
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop4 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy4 = union {
  object { LightCanAssy4 }
  object { TrackLightBrace4 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, -20.124451>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy4 = union {
  box { // TrackLightBase4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy4 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 2.87, 1.6>
}
union { // TrackLightAssy2
  object { TrackLightRailX2 }
  object { TrackLightRunnerAssy3 }
  object { TrackLightRunnerAssy4 }
  box { // Cube045
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.1, 0.06>
    translate  <-2.51, 2.29, 1.8>
  }
  material {
    BlackMatteLegs
  }
  translate  <0.47, 5.12, 0.0>
}


#declare TrackLightRailX1 = difference {
  box { // TrackLightRail1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.7, 0.04>
    translate  <-2.51, 2.26, 1.82>
  }
  box { // TrackLightRail2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.66, 0.04>
    translate  <-2.51, 2.26, 1.8>
  }
}
#declare TrackLightCan2 = difference {
  cylinder { // Cylndr054
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr055 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr056 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr057 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr058 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr059 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr060 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr061 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  cylinder { // Cylndr062
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, -0.0>
    translate  <0.0, 0.0, 2.013333>
    scale <0.005, 0.005, 0.03>
    rotate <180.0, 0.0, 180.0>
    translate  <-2.46, 2.58, 1.53>
  }
  cylinder { // Cylndr063
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy2 = union {
  object { Spotlight002 }
  object { TrackLightCan2 }
  object { Light002 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -233.530258, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop2 = intersection {
  torus { // Torus027
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube041
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace2 = union {
  cylinder { // Cylndr064
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr065
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr066
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr067
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr068
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop2 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy2 = union {
  object { LightCanAssy2 }
  object { TrackLightBrace2 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, 176.815979>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy2 = union {
  box { // TrackLightBase2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy2 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 1.77, 1.6>
}
#declare TrackLightCan1 = difference {
  cylinder { // Cylndr039
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    scale <0.08, 0.08, 0.25>
    rotate <0.0, -90.0, 0.0>
    translate  <-2.51, 2.58, 1.53>
  }
  object { // Cylndr053 -> Cylndr046
    Cylndr046
    rotate <-45.0, 0.0, -0.0>
    translate  <-0.0, -0.326209, 2.272462>
  }
  object { // Cylndr052 -> Cylndr046
    Cylndr046
    rotate <-90.0, 0.0, -0.0>
    translate  <-0.0, 1.05, 4.11>
  }
  object { // Cylndr051 -> Cylndr046
    Cylndr046
    rotate <-135.0, -0.0, -0.0>
    translate  <-0.0, 3.322462, 4.436209>
  }
  object { // Cylndr050 -> Cylndr046
    Cylndr046
    rotate <180.0, -0.0, -0.0>
    translate  <0.0, 5.16, 3.06>
  }
  object { // Cylndr049 -> Cylndr046
    Cylndr046
    rotate <135.0, -0.0, -0.0>
    translate  <0.0, 5.486209, 0.787538>
  }
  object { // Cylndr048 -> Cylndr046
    Cylndr046
    rotate <90.0, -0.0, 0.0>
    translate  <0.0, 4.11, -1.05>
  }
  object { // Cylndr047 -> Cylndr046
    Cylndr046
    rotate <45.0, -0.0, 0.0>
    translate  <0.0, 1.837538, -1.376209>
  }
  object { Cylndr046 }
  cylinder { // Cylndr045
    <0,0,1>, <0,0,0>, 1 
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, 0.0, -0.32>
    material {
      WhiteMatteLam
    }
    scale <0.075, 0.075, 0.25>
    rotate -90.0*y
    translate  <-2.52, 2.58, 1.53>
  }
  rotate <-0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  rotate <-0.0, 0.0, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare LightCanAssy1 = union {
  object { Spotlight001 }
  object { TrackLightCan1 }
  object { Light001 }
  rotate <0.0, 0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <-0.0, -223.796661, 180.0>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightBraceHoop1 = intersection {
  torus { // Torus026
    1.5, 0.05  rotate -x*90
    scale <0.07, 0.08, 0.62>
    rotate <-90.0, 0.0, -90.0>
    translate  <-2.51, 2.58, 1.55>
  }
  box { // Cube040
    <-1, -1, -1>, <1, 1, 1>
    scale <0.04, 0.12, 0.07>
    translate  <-2.51, 2.58, 1.62>
  }
}
#declare TrackLightBrace1 = union {
  cylinder { // Cylndr044
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <90.0, 0.0, -0.0>
    translate  <-2.51, 2.685, 1.53>
  }
  cylinder { // Cylndr043
    <0,0,1>, <0,0,0>, 1 
    scale <0.015, 0.015, 0.03>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.51, 2.475, 1.53>
  }
  cylinder { // Cylndr042
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.475013, 1.55>
  }
  cylinder { // Cylndr041
    <0,0,1>, <0,0,0>, 1 
    scale <0.03, 0.003615, 0.04>
    rotate <180.0, 0.0, -0.0>
    translate  <-2.51, 2.685053, 1.55>
  }
  cylinder { // Cylndr040
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.03>
    translate  <-2.51, 2.58, 1.67>
  }
  object { TrackLightBraceHoop1 }
  rotate <-0.0, 0.0, 0.0>
  translate  <0.0, -0.0, -0.0>
}
#declare TrackLightSwivelAssy1 = union {
  object { LightCanAssy1 }
  object { TrackLightBrace1 }
  rotate <0.0, -0.0, -180.0>
  translate  <-2.52, 2.58, -1.53>
  // Scaling fixed
  // Translation fixed
  rotate <0.0, 0.0, -71.186966>
  translate  <-2.52, 2.58, 1.53>
}
#declare TrackLightRunnerAssy1 = union {
  box { // TrackLightBase1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.05, 0.06>
    rotate <-0.000003, 0.000001, 0.000004>
    translate  <-2.51, 2.58, 1.76>
  }
  object { TrackLightSwivelAssy1 }
  rotate <-0.0, -0.0, 0.0>
  translate  <2.51, -2.58, -1.6>
  // Scaling fixed
  // Rotation fixed
  // Trans Y limited (1.65 to   2.87)
  translate  <-2.51, 2.87, 1.6>
}
union { // TrackLightAssy1
  object { TrackLightRailX1 }
  object { TrackLightRunnerAssy2 }
  object { TrackLightRunnerAssy1 }
  box { // Cube042
    <-1, -1, -1>, <1, 1, 1>
    scale <0.09, 0.1, 0.06>
    translate  <-2.51, 2.29, 1.8>
  }
  material {
    BlackMatteLegs
  }
  translate  <0.44, -0.47, 0.0>
}


union { // Suspended_Ceiling_Supports
  object { // SuspCeilSupport18 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  12.6*y
  }
  object { // SuspCeilSupport17 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  11.2*y
  }
  object { // SuspCeilSupport16 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  9.8*y
  }
  object { // SuspCeilSupport15 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  8.4*y
  }
  object { // SuspCeilSupport14 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  7.0*y
  }
  object { // SuspCeilSupport13 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  5.6*y
  }
  object { // SuspCeilSupport12 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  4.2*y
  }
  object { // SuspCeilSupport11 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  2.8*y
  }
  object { // SuspCeilSupport10 -> SuspCeilSupport9
    SuspCeilSupport9
    rotate -0.0*x
    translate  1.4*y
  }
  object { SuspCeilSupport9 }
  object { // SuspCeilSupport8 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  4.9*x
  }
  object { // SuspCeilSupport7 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  4.2*x
  }
  object { // SuspCeilSupport6 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  3.5*x
  }
  object { // SuspCeilSupport5 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  2.8*x
  }
  object { // SuspCeilSupport4 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  2.1*x
  }
  object { // SuspCeilSupport3 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  1.4*x
  }
  object { // SuspCeilSupport2 -> SuspCeilSupport1
    SuspCeilSupport1
    rotate <0.0, -0.0, -0.0>
    translate  0.7*x
  }
  object { SuspCeilSupport1 }
}


#declare SmallCupHandle7 = intersection {
  box { // Cube070
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus053
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody7 = difference {
  superellipsoid { // SuperQ017
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ018
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup7 = union {
  object { SmallCupHandle7 }
  object { SmallCupBody7 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, 31.0>
  translate  <-0.65, -0.725, -0.41>
}
#declare SmallCupHandle6 = intersection {
  box { // Cube069
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus052
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody6 = difference {
  superellipsoid { // SuperQ015
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ016
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup6 = union {
  object { SmallCupHandle6 }
  object { SmallCupBody6 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, 21.0>
  translate  <-3.475, 4.74, -0.82>
}
#declare SmallCupHandle5 = intersection {
  box { // Cube068
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus051
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody5 = difference {
  superellipsoid { // SuperQ013
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ014
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup5 = union {
  object { SmallCupHandle5 }
  object { SmallCupBody5 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, 21.0>
  translate  <-3.21, 9.315, -0.82>
}
#declare SmallCupHandle4 = intersection {
  box { // Cube067
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus050
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody4 = difference {
  superellipsoid { // SuperQ011
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ012
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup4 = union {
  object { SmallCupHandle4 }
  object { SmallCupBody4 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, -16.0>
  translate  <-0.055, 9.315, -0.82>
}
#declare SmallCupHandle3 = intersection {
  box { // Cube066
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus049
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody3 = difference {
  superellipsoid { // SuperQ009
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ010
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup3 = union {
  object { SmallCupHandle3 }
  object { SmallCupBody3 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, 26.0>
  translate  <-1.83, 4.295, -0.82>
}
#declare SmallCupHandle2 = intersection {
  box { // Cube065
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus048
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody2 = difference {
  superellipsoid { // SuperQ007
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ008
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup2 = union {
  object { SmallCupHandle2 }
  object { SmallCupBody2 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, -37.0>
  translate  <-0.74, 3.14, -0.82>
}
#declare SmallCupHandle1 = intersection {
  box { // Cube064
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.095, 3.09, -0.71>
  }
  torus { // Torus047
    1.5, 0.171  rotate -x*90
    scale <0.025, 0.035, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.06, 0.01, 0.13>
  rotate <-0.0, 0.0, -0.0>
  translate  <-0.605, 3.43, -0.815>
}
#declare SmallCupBody1 = difference {
  superellipsoid { // SuperQ005
    <1.0, 0.05>
    scale <0.065, 0.065, 0.07>
    translate  <-0.67, 3.43, -0.82>
  }
  superellipsoid { // SuperQ006
    <1.0, 0.05>
    scale <0.055, 0.055, 0.07>
    translate  <-0.67, 3.43, -0.81>
  }
}
#declare SmallCup1 = union {
  object { SmallCupHandle1 }
  object { SmallCupBody1 }
  scale <15.384564, 15.384488, 14.285714>
  rotate <-0.0, -0.0, -0.0>
  translate  <10.307668, -52.768986, 11.714288>
  material {
    Ceramic_Green
  }
  scale <0.065, 0.065, 0.07>
  rotate <0.0, -0.0, -0.0>
  translate  <-0.66, 3.275, -0.82>
}
#declare TallCupBody6 = difference {
  cone { // Cone021
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.29>
    translate  <0.0, 3.09, -0.885>
  }
  cone { // Cone022
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.07, 0.07, 0.29>
    translate  <0.0, 3.09, -0.87>
  }
}
#declare TallCupHandle6 = intersection {
  box { // Cube063
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.1, 3.09, -0.71>
  }
  torus { // Torus045
    1.5, 0.171  rotate -x*90
    scale <0.03, 0.04, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.05, 0.005, 0.13>
  rotate <-0.0, 4.0, -0.0>
  translate  <0.07, 3.09, -0.71>
}
#declare TallCup6 = union {
  object { TallCupBody6 }
  object { TallCupHandle6 }
  torus { // Torus046
    1.8935, 0.1355  rotate -x*90
    scale 0.04
    translate  <0.0, 3.09, -0.595>
  }
  scale <8.0, 12.500008, 7.142859>
  rotate -0.0*x
  translate  <0.0, -38.625001, 5.178575>
  material {
    Ceramic_White
  }
  scale <0.125, 0.08, 0.14>
  rotate <-0.0, 0.0, -108.0>
  translate  <-2.99, 8.81, -0.725>
}
#declare TallCupBody5 = difference {
  cone { // Cone019
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.29>
    translate  <0.0, 3.09, -0.885>
  }
  cone { // Cone020
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.07, 0.07, 0.29>
    translate  <0.0, 3.09, -0.87>
  }
}
#declare TallCupHandle5 = intersection {
  box { // Cube062
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.1, 3.09, -0.71>
  }
  torus { // Torus043
    1.5, 0.171  rotate -x*90
    scale <0.03, 0.04, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.05, 0.005, 0.13>
  rotate <-0.0, 4.0, -0.0>
  translate  <0.07, 3.09, -0.71>
}
#declare TallCup5 = union {
  object { TallCupBody5 }
  object { TallCupHandle5 }
  torus { // Torus044
    1.8935, 0.1355  rotate -x*90
    scale 0.04
    translate  <0.0, 3.09, -0.595>
  }
  scale <8.0, 12.500008, 7.142859>
  rotate -0.0*x
  translate  <0.0, -38.625001, 5.178575>
  material {
    Ceramic_White
  }
  scale <0.125, 0.08, 0.14>
  rotate <-0.0, 0.0, -166.0>
  translate  <-1.55, -2.145, -0.35>
}
#declare TallCupBody4 = difference {
  cone { // Cone017
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.29>
    translate  <0.0, 3.09, -0.885>
  }
  cone { // Cone018
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.07, 0.07, 0.29>
    translate  <0.0, 3.09, -0.87>
  }
}
#declare TallCupHandle4 = intersection {
  box { // Cube061
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.1, 3.09, -0.71>
  }
  torus { // Torus041
    1.5, 0.171  rotate -x*90
    scale <0.03, 0.04, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.05, 0.005, 0.13>
  rotate <-0.0, 4.0, -0.0>
  translate  <0.07, 3.09, -0.71>
}
#declare TallCup4 = union {
  object { TallCupBody4 }
  object { TallCupHandle4 }
  torus { // Torus042
    1.8935, 0.1355  rotate -x*90
    scale 0.04
    translate  <0.0, 3.09, -0.595>
  }
  scale <8.0, 12.500008, 7.142859>
  rotate -0.0*x
  translate  <0.0, -38.625001, 5.178575>
  material {
    Ceramic_White
  }
  scale <0.125, 0.08, 0.14>
  rotate <-0.0, -0.0, 6.0>
  translate  <-3.285, 2.035, -0.725>
}
#declare TallCupBody3 = difference {
  cone { // Cone015
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.29>
    translate  <0.0, 3.09, -0.885>
  }
  cone { // Cone016
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.07, 0.07, 0.29>
    translate  <0.0, 3.09, -0.87>
  }
}
#declare TallCupHandle3 = intersection {
  box { // Cube060
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.1, 3.09, -0.71>
  }
  torus { // Torus039
    1.5, 0.171  rotate -x*90
    scale <0.03, 0.04, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.05, 0.005, 0.13>
  rotate <-0.0, 4.0, -0.0>
  translate  <0.07, 3.09, -0.71>
}
#declare TallCup3 = union {
  object { TallCupBody3 }
  object { TallCupHandle3 }
  torus { // Torus040
    1.8935, 0.1355  rotate -x*90
    scale 0.04
    translate  <0.0, 3.09, -0.595>
  }
  scale <8.0, 12.500008, 7.142859>
  rotate -0.0*x
  translate  <0.0, -38.625001, 5.178575>
  material {
    Ceramic_White
  }
  scale <0.125, 0.08, 0.14>
  rotate <-0.0, -0.0, 50.0>
  translate  <-2.06, 6.365, -0.725>
}
#declare TallCupBody2 = difference {
  cone { // Cone013
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.29>
    translate  <0.0, 3.09, -0.885>
  }
  cone { // Cone014
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.07, 0.07, 0.29>
    translate  <0.0, 3.09, -0.87>
  }
}
#declare TallCupHandle2 = intersection {
  box { // Cube059
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.1, 3.09, -0.71>
  }
  torus { // Torus037
    1.5, 0.171  rotate -x*90
    scale <0.03, 0.04, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.05, 0.005, 0.13>
  rotate <-0.0, 4.0, -0.0>
  translate  <0.07, 3.09, -0.71>
}
#declare TallCup2 = union {
  object { TallCupBody2 }
  object { TallCupHandle2 }
  torus { // Torus038
    1.8935, 0.1355  rotate -x*90
    scale 0.04
    translate  <0.0, 3.09, -0.595>
  }
  scale <8.0, 12.500008, 7.142859>
  rotate -0.0*x
  translate  <0.0, -38.625001, 5.178575>
  material {
    Ceramic_White
  }
  scale <0.125, 0.08, 0.14>
  rotate <-0.0, -0.0, 57.0>
  translate  <-0.77, 4.025, -0.725>
}
#declare TallCupBody1 = difference {
  cone { // Cone011
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.08, 0.08, 0.29>
    translate  <0.0, 3.09, -0.885>
  }
  cone { // Cone012
    <0,0,0>, 0.75, <0,0,1>, 1.0
    scale <0.07, 0.07, 0.29>
    translate  <0.0, 3.09, -0.87>
  }
}
#declare TallCupHandle1 = intersection {
  box { // Cube058
    <-1, -1, -1>, <1, 1, 1>
    scale <0.03, 0.01, 0.07>
    translate  <0.1, 3.09, -0.71>
  }
  torus { // Torus036
    1.5, 0.171  rotate -x*90
    scale <0.03, 0.04, 0.02>
    rotate -90.0*x
    translate  <0.07, 3.09, -0.71>
  }
  scale <19.999989, 200.000015, 7.692277>
  rotate <-0.0, -0.0, 0.0>
  translate  <-1.4, -617.999772, 5.461525>
  scale <0.05, 0.005, 0.13>
  rotate <-0.0, 4.0, -0.0>
  translate  <0.07, 3.09, -0.71>
}
#declare TallCup1 = union {
  object { TallCupBody1 }
  object { TallCupHandle1 }
  torus { // Torus035
    1.8935, 0.1355  rotate -x*90
    scale 0.04
    translate  <0.0, 3.09, -0.595>
  }
  scale <8.0, 12.500008, 7.142859>
  rotate -0.0*x
  translate  <0.0, -38.625001, 5.178575>
  material {
    Ceramic_White
  }
  scale <0.125, 0.08, 0.14>
  rotate <-0.0, 0.0, -22.0>
  translate  <-0.175, 3.3, -0.725>
}
union { // Table_Ornaments
  object { TableOrnaments13 }
  object { // TableOrnaments14 -> TableOrnaments13
    TableOrnaments13
    rotate -97.0*z
    translate  <-10.65, 6.22, 0.0>
  }
  object { TableOrnaments12 }
  object { TableOrnaments11 }
  object { // TableOrnaments9 -> TableOrnaments8
    TableOrnaments8
    rotate -98.0*z
    translate  <-8.27, 7.78, 0.0>
  }
  object { TableOrnaments8 }
  object { // TableOrnaments10 -> TableOrnaments4
    TableOrnaments4
    translate  <0.22, 5.46, 0.0>
  }
  object { TableOrnaments7 }
  object { TableOrnaments6 }
  object { // TableOrnaments5 -> TableOrnaments4
    TableOrnaments4
    translate  <-0.05, 2.63, 0.0>
  }
  object { TableOrnaments4 }
  object { // TableOrnaments3 -> TableOrnaments1
    TableOrnaments1
    translate  <-1.09, -1.85, -0.04>
  }
  object { TableOrnaments2 }
  object { TableOrnaments }
  object { TableOrnaments1 }
  object { SmallCup7 }
  object { SmallCup6 }
  object { SmallCup5 }
  object { SmallCup4 }
  object { SmallCup3 }
  object { SmallCup2 }
  object { SmallCup1 }
  object { TallCup6 }
  object { TallCup5 }
  object { TallCup4 }
  object { TallCup3 }
  object { TallCup2 }
  object { TallCup1 }
}


#declare EastBarTop = union {
  box { // BarTopSlab1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.83, 0.36, 0.02>
    rotate <0.0, -0.0, 0.0>
    translate  <-0.65, -0.82, -0.5>
  }
  box { // BarTopSlab2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.28, 0.38, 0.02>
    rotate <0.0, -0.0, 0.0>
    translate  <-0.1, -1.1, -0.5>
  }
  material {
    CabinetWood
  }
  rotate <-0.0, 0.0, -0.0>
  translate  <-1.25, -3.55, 0.0>
}
#declare EastBarTopLaminate = union {
  box { // BarTopSlab3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.27, 0.37, 0.00001>
    rotate <0.0, -0.0, 0.0>
    translate  <-0.1, -1.1, -0.48>
  }
  box { // BarTopSlab4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.82, 0.35, 0.00001>
    rotate <0.0, -0.0, 0.0>
    translate  <-0.65, -0.82, -0.48>
  }
  material {
    Countertop
  }
  rotate <-0.0, 0.0, -0.0>
  translate  <-1.25, -3.55, 0.0>
}
union { // EastBar
  object { EastBarTop }
  object { EastBarTopLaminate }
  object { BarPillar1 }
  object { // BarPillar2 -> BarPillar1
    BarPillar1
    translate  -0.95*x
  }
  rotate <0.0, -0.0, 0.0>
  translate  <1.79, 4.69, 0.95>
  material {
    BlackMatteLegs
  }
  translate  <-0.62, -1.12, -0.95>
}


difference { // Lightbox_NorthX
  box { // Lightbox_North
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <0.6, 7.06, 0.4>
    translate  <3.4, 3.66, 1.5>
  }
  box { // Lightbox_North1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <0.45, 6.86, 0.4>
    translate  <3.37, 3.68, 1.25>
  }
}


union { // Tables
  object { // LargeTable7 -> LargeTable2
    LargeTable2
    // LargeTable7 does not inherit transformations, so do 
    // inverse transformations of LargeTable2
      translate  <-1.51, -5.87, 0.37>
    // Now write the regular transformations of LargeTable7
    rotate <0.0, 0.0, 0.0>
    translate  <0.58, 2.24, 0.0>
  }
  object { // LargeTable6 -> LargeTable2
    LargeTable2
    // LargeTable6 does not inherit transformations, so do 
    // inverse transformations of LargeTable2
      translate  <-1.51, -5.87, 0.37>
    // Now write the regular transformations of LargeTable6
    rotate -0.0*y
    translate  <-1.56, 13.8, -0.37>
  }
  object { // LargeTable5 -> LargeTable2
    LargeTable2
    // LargeTable5 does not inherit transformations, so do 
    // inverse transformations of LargeTable2
      translate  <-1.51, -5.87, 0.37>
    // Now write the regular transformations of LargeTable5
    rotate -0.0*y
    translate  <1.55, 13.65, -0.37>
  }
  object { // LargeTable4 -> LargeTable2
    LargeTable2
    // LargeTable4 does not inherit transformations, so do 
    // inverse transformations of LargeTable2
      translate  <-1.51, -5.87, 0.37>
    // Now write the regular transformations of LargeTable4
    rotate -0.0*y
    translate  <1.3, 10.85, -0.37>
  }
  object { // SmallTable8 -> SmallTable2
    SmallTable2
    translate  <1.51, 6.6, 0.0>
  }
  object { // SmallTable7 -> SmallTable2
    SmallTable2
    translate  <1.49, 4.26, 0.0>
  }
  object { // LargeTable3 -> LargeTable2
    LargeTable2
    // LargeTable3 does not inherit transformations, so do 
    // inverse transformations of LargeTable2
      translate  <-1.51, -5.87, 0.37>
    // Now write the regular transformations of LargeTable3
    rotate -0.0*y
    translate  <1.35, 8.27, -0.37>
  }
  object { // SmallTable6 -> SmallTable2
    SmallTable2
    translate  <1.5, 1.74, 0.0>
  }
  object { LargeTable2 }
  object { // SmallTable5 -> SmallTable2
    SmallTable2
    translate  <0.0, 6.9, 0.0>
  }
  object { // SmallTable4 -> SmallTable2
    SmallTable2
    translate  <0.0, 4.6, 0.0>
  }
  object { // SmallTable3 -> SmallTable2
    SmallTable2
    translate  <0.0, 2.3, 0.0>
  }
  object { SmallTable2 }
  object { SmallTable1 }
  object { LargeTable1 }
}


#declare ChairBackTop2 = intersection {
  torus { // Torus054
    1.5, 0.08  rotate -x*90
    scale <0.21, 0.3, 0.3>
    rotate 2.0*y
    translate  <-0.56, -4.35, -0.45>
  }
  box { // Cube071
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.31, 0.06>
    rotate 20.0*z
    translate  <-0.3, -4.38, -0.46>
  }
  box { // Cube072
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.31, 0.06>
    rotate -20.0*z
    translate  <-0.3, -4.32, -0.46>
  }
}
#declare ChairFrameEllbow3 = intersection {
  box { // Cube074
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.03>
    translate  <-0.78, -4.56, -0.98>
  }
  torus { // Torus055
    1.5, 0.5  rotate -x*90
    scale 0.04
    translate  <-0.73, -4.51, -0.98>
  }
  rotate -0.0*z
  translate  <0.73, 4.51, 0.98>
  rotate -90.0*z
  translate  <-0.73, -4.19, -0.98>
}
#declare ChairFrameEllbow4 = intersection {
  box { // Cube075
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.03>
    translate  <-0.78, -4.56, -0.98>
  }
  torus { // Torus056
    1.5, 0.5  rotate -x*90
    scale 0.04
    translate  <-0.73, -4.51, -0.98>
  }
  rotate -0.0*z
  translate  <0.73, 4.51, 0.98>
  translate  <-0.73, -4.51, -0.98>
}
#declare ChairBackMid4 = intersection {
  torus { // Torus057
    1.5, 0.02  rotate -x*90
    scale <0.22, 0.3, 1.19>
    rotate <0.0, 2.0, 0.0>
    translate  <-0.58, -4.35, -0.57>
  }
  box { // Cube076
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.23, 0.04>
    translate  <-0.27, -4.35, -0.58>
  }
  translate  <0.004, 0.0, 0.02>
}
#declare TallChair1 = union {
  object { ChairBackTop2 }
  cylinder { // ChairFrameBeam14
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <1.0, 2.0, -0.0>
    translate  <-0.3, -4.57, -0.98>
  }
  cylinder { // ChairFrameBeam15
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <-1.0, 2.0, -0.0>
    translate  <-0.3, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam16
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <-179.0, 0.0, 180.0>
    translate  <-0.77, -4.55, -0.98>
  }
  cylinder { // ChairFrameBeam17
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <179.0, 0.0, 180.0>
    translate  <-0.77, -4.15, -0.98>
  }
  sphere { // Sphere013
    <0,0,0>,1
    scale 0.02
    translate  <-0.31, -4.57, -0.98>
  }
  sphere { // Sphere014
    <0,0,0>,1
    scale 0.02
    translate  <-0.31, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam18
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <-179.0, 0.0, 180.0>
    translate  <-0.3, -4.57, -0.98>
  }
  cylinder { // ChairFrameBeam19
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <179.0, 0.0, 180.0>
    translate  <-0.3, -4.13, -0.98>
  }
  box { // Cube073
    <-1, -1, -1>, <1, 1, 1>
    scale <0.01, 0.2, 0.03>
    translate  <-0.33, -4.35, -0.98>
  }
  cylinder { // ChairFrameBeam20
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.32>
    rotate <-90.0, -90.0, 0.0>
    translate  <-0.79, -4.51, -0.98>
  }
  object { ChairFrameEllbow3 }
  cylinder { // ChairFrameBeam21
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.42>
    rotate <0.0, -90.0, 0.0>
    translate  <-0.31, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam22
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.42>
    rotate <0.0, -90.0, 0.0>
    translate  <-0.31, -4.57, -0.98>
  }
  superellipsoid { // SeatCushion2
    <0.211, 0.564>
    material {
      ChairCushion
    }
    scale <0.25, 0.25, 0.065>
    translate  <-0.57, -4.35, -0.93>
  }
  object { ChairFrameEllbow4 }
  cylinder { // ChairFrameBeam23
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.42>
    rotate <90.0, -0.0, 0.0>
    translate  <-0.31, -4.13, -1.1>
  }
  cylinder { // ChairFrameBeam24
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.4>
    rotate <90.0, -0.0, 0.0>
    translate  <-0.76, -4.15, -1.1>
  }
  cylinder { // ChairFrameBeam25
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.46>
    rotate <90.0, -0.0, 92.0>
    translate  <-0.76, -4.15, -1.1>
  }
  cylinder { // ChairFrameBeam26
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.46>
    rotate <90.0, -0.0, 88.0>
    translate  <-0.76, -4.55, -1.1>
  }
  object { ChairBackMid4 }
  object { // ChairBackMid5 -> ChairBackMid1
    ChairBackMid1
    translate  <-0.003, 0.0, -0.1>
  }
  object { // ChairBackMid6 -> ChairBackMid1
    ChairBackMid1
    translate  <-0.006, 0.0, -0.2>
  }
  sphere { // Sphere015
    <0,0,0>,1
    material {
      T_Chrome_3A
    }
    scale <0.02146, 0.010432, 0.023921>
    rotate 19.137228*z
    translate  <-0.32198, -4.058126, -0.458735>
  }
  sphere { // Sphere016
    <0,0,0>,1
    material {
      T_Chrome_3A
    }
    scale <0.02146, 0.010432, 0.023921>
    rotate -19.13723*z
    translate  <-0.32198, -4.641913, -0.458735>
  }
  translate  <0.52, 4.35, 0.0>
  material {
    GreenMatteMetal
  }
  rotate 89.0*z
  translate  <-1.18, -0.355, 0.0>
}
#declare ChairBackTop3 = intersection {
  torus { // Torus058
    1.5, 0.08  rotate -x*90
    scale <0.21, 0.3, 0.3>
    rotate 2.0*y
    translate  <-0.56, -4.35, -0.45>
  }
  box { // Cube077
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.31, 0.06>
    rotate 20.0*z
    translate  <-0.3, -4.38, -0.46>
  }
  box { // Cube078
    <-1, -1, -1>, <1, 1, 1>
    scale <0.14, 0.31, 0.06>
    rotate -20.0*z
    translate  <-0.3, -4.32, -0.46>
  }
}
#declare ChairFrameEllbow5 = intersection {
  box { // Cube080
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.03>
    translate  <-0.78, -4.56, -0.98>
  }
  torus { // Torus059
    1.5, 0.5  rotate -x*90
    scale 0.04
    translate  <-0.73, -4.51, -0.98>
  }
  rotate -0.0*z
  translate  <0.73, 4.51, 0.98>
  rotate -90.0*z
  translate  <-0.73, -4.19, -0.98>
}
#declare ChairFrameEllbow6 = intersection {
  box { // Cube081
    <-1, -1, -1>, <1, 1, 1>
    scale <0.05, 0.05, 0.03>
    translate  <-0.78, -4.56, -0.98>
  }
  torus { // Torus060
    1.5, 0.5  rotate -x*90
    scale 0.04
    translate  <-0.73, -4.51, -0.98>
  }
  rotate -0.0*z
  translate  <0.73, 4.51, 0.98>
  translate  <-0.73, -4.51, -0.98>
}
#declare ChairBackMid7 = intersection {
  torus { // Torus061
    1.5, 0.02  rotate -x*90
    scale <0.22, 0.3, 1.19>
    rotate <0.0, 2.0, 0.0>
    translate  <-0.58, -4.35, -0.57>
  }
  box { // Cube082
    <-1, -1, -1>, <1, 1, 1>
    scale <0.06, 0.23, 0.04>
    translate  <-0.27, -4.35, -0.58>
  }
  translate  <0.004, 0.0, 0.02>
}
#declare TallChair2 = union {
  object { ChairBackTop3 }
  cylinder { // ChairFrameBeam27
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <1.0, 2.0, -0.0>
    translate  <-0.3, -4.57, -0.98>
  }
  cylinder { // ChairFrameBeam28
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.51>
    rotate <-1.0, 2.0, -0.0>
    translate  <-0.3, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam29
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <-179.0, 0.0, 180.0>
    translate  <-0.77, -4.55, -0.98>
  }
  cylinder { // ChairFrameBeam30
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <179.0, 0.0, 180.0>
    translate  <-0.77, -4.15, -0.98>
  }
  sphere { // Sphere017
    <0,0,0>,1
    scale 0.02
    translate  <-0.31, -4.57, -0.98>
  }
  sphere { // Sphere018
    <0,0,0>,1
    scale 0.02
    translate  <-0.31, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam31
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <-179.0, 0.0, 180.0>
    translate  <-0.3, -4.57, -0.98>
  }
  cylinder { // ChairFrameBeam32
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.9>
    rotate <179.0, 0.0, 180.0>
    translate  <-0.3, -4.13, -0.98>
  }
  box { // Cube079
    <-1, -1, -1>, <1, 1, 1>
    scale <0.01, 0.2, 0.03>
    translate  <-0.33, -4.35, -0.98>
  }
  cylinder { // ChairFrameBeam33
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.32>
    rotate <-90.0, -90.0, 0.0>
    translate  <-0.79, -4.51, -0.98>
  }
  object { ChairFrameEllbow5 }
  cylinder { // ChairFrameBeam34
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.42>
    rotate <0.0, -90.0, 0.0>
    translate  <-0.31, -4.13, -0.98>
  }
  cylinder { // ChairFrameBeam35
    <0,0,1>, <0,0,0>, 1 
    scale <0.02, 0.02, 0.42>
    rotate <0.0, -90.0, 0.0>
    translate  <-0.31, -4.57, -0.98>
  }
  superellipsoid { // SeatCushion3
    <0.211, 0.564>
    material {
      ChairCushion
    }
    scale <0.25, 0.25, 0.065>
    translate  <-0.57, -4.35, -0.93>
  }
  object { ChairFrameEllbow6 }
  cylinder { // ChairFrameBeam36
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.42>
    rotate <90.0, -0.0, 0.0>
    translate  <-0.31, -4.13, -1.1>
  }
  cylinder { // ChairFrameBeam37
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.4>
    rotate <90.0, -0.0, 0.0>
    translate  <-0.76, -4.15, -1.1>
  }
  cylinder { // ChairFrameBeam38
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.46>
    rotate <90.0, -0.0, 92.0>
    translate  <-0.76, -4.15, -1.1>
  }
  cylinder { // ChairFrameBeam39
    <0,0,1>, <0,0,0>, 1 
    scale <0.005, 0.005, 0.46>
    rotate <90.0, -0.0, 88.0>
    translate  <-0.76, -4.55, -1.1>
  }
  object { ChairBackMid7 }
  object { // ChairBackMid8 -> ChairBackMid1
    ChairBackMid1
    translate  <-0.003, 0.0, -0.1>
  }
  object { // ChairBackMid9 -> ChairBackMid1
    ChairBackMid1
    translate  <-0.006, 0.0, -0.2>
  }
  sphere { // Sphere019
    <0,0,0>,1
    material {
      T_Chrome_3A
    }
    scale <0.02146, 0.010432, 0.023921>
    rotate 19.137228*z
    translate  <-0.32198, -4.058126, -0.458735>
  }
  sphere { // Sphere020
    <0,0,0>,1
    material {
      T_Chrome_3A
    }
    scale <0.02146, 0.010432, 0.023921>
    rotate -19.13723*z
    translate  <-0.32198, -4.641913, -0.458735>
  }
  translate  <0.52, 4.35, 0.0>
  material {
    GreenMatteMetal
  }
  rotate 79.0*z
  translate  <-0.285, -0.265, 0.0>
}
union { // Chairs
  object { // Chair44 -> Chair43
    Chair43
    rotate 6.0*z
    translate  <0.76, -0.06, 0.0>
  }
  object { Chair43 }
  object { // Chair42 -> Chair41
    Chair41
    rotate -15.0*z
    translate  <0.23, -0.15, 0.0>
  }
  object { Chair41 }
  object { // Chair40 -> Chair39
    Chair39
    rotate -11.0*z
    translate  <0.18, -0.19, 0.0>
  }
  object { Chair39 }
  object { Chair38 }
  object { Chair37 }
  object { Chair36 }
  object { Chair35 }
  object { // Chair34 -> Chair33
    Chair33
    rotate 0.0*z
    translate  <0.66, 0.03, 0.0>
  }
  object { Chair33 }
  object { Chair32 }
  object { Chair31 }
  object { // Chair30 -> Chair29
    Chair29
    translate  <0.63, 0.01, 0.0>
  }
  object { Chair29 }
  object { Chair28 }
  object { Chair27 }
  object { Chair26 }
  object { Chair25 }
  object { Chair24 }
  object { // Chair23 -> Chair22
    Chair22
    rotate -0.0*z
    translate  <0.21, 2.69, 0.0>
  }
  object { Chair22 }
  object { Chair21 }
  object { Chair20 }
  object { // Chair19 -> Chair18
    Chair18
    translate  2.39*y
  }
  object { Chair18 }
  object { // Chair17 -> Chair11
    Chair11
    rotate 0.0*z
    translate  2.33*y
  }
  object { Chair16 }
  object { // Chair15 -> Chair14
    Chair14
    rotate -0.0*z
    translate  2.54*y
  }
  object { Chair14 }
  object { Chair13 }
  object { Chair12 }
  object { Chair11 }
  object { Chair10 }
  object { Chair09 }
  object { // Chair08 -> Chair07
    Chair07
    rotate 8.0*z
    translate  <-0.35, -0.52, 0.0>
  }
  object { Chair07 }
  object { Chair06 }
  object { Chair05 }
  object { // Chair04 -> Chair03
    Chair03
    rotate -6.0*z
    translate  <0.42, -0.88, 0.0>
  }
  object { Chair03 }
  object { Chair02 }
  object { Chair01 }
  object { TallChair1 }
  object { TallChair2 }
}


union { // Lights
  object { BoxLight1 }
  object { BoxLight2 }
  object { BoxLight3 }
  object { FluoLight1 }
}


#declare Lightbox_South1 = union {
  box { // Lightbox_SouthSouth
    <-1, -1, -1>, <1, 1, 1>
    scale <0.6, 8.06, 0.4>
    translate  <-3.4, 2.66, 1.5>
  }
  box { // Lightbox_SouthEast
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 0.6, 0.4>
    translate  <-2.0, -4.8, 1.5>
  }
  material {
    WalGreen
  }
}
difference { // Lightbox_South_X1
  object { Lightbox_South1 }
  box { // Lightbox_SouthSouth1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <0.45, 7.87, 0.4>
    translate  <-3.4, 2.62, 1.25>
  }
  box { // Lightbox_SouthEast1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WhiteMatteLam
    }
    scale <1.99, 0.46, 0.4>
    translate  <-1.84, -4.8, 1.25>
  }
}


object { // BeanPropAssyX2 -> BeanPropAssyX1
  BeanPropAssyX1
  rotate <-0.0, -0.0, 0.0>
  translate  0.49*z
}


object { BeanPropAssyX1 }


#declare HandleElbow1 = intersection {
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus001
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow2 = intersection {
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus002
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle1 = union {
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow1 }
  object { HandleElbow2 }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  translate  <-2.95, -2.36, -0.41>
}
#declare HandleElbow3 = intersection {
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus003
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow4 = intersection {
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus004
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle2 = union {
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow3 }
  object { HandleElbow4 }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  translate  <-2.95, -3.05, -0.41>
}
#declare HandleElbow5 = intersection {
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus005
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow6 = intersection {
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus006
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle3 = union {
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow5 }
  object { HandleElbow6 }
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.78, -0.67>
}
#declare HandleElbow7 = intersection {
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus007
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow8 = intersection {
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus008
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle4 = union {
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow7 }
  object { HandleElbow8 }
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.63, -0.67>
}
#declare CabinetHandlePair1 = union {
  object { CabinetHandle3 }
  object { CabinetHandle4 }
}
#declare HandleElbow9 = intersection {
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus009
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow10 = intersection {
  box { // Cube018
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus010
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle5 = union {
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow9 }
  object { HandleElbow10 }
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.78, -0.67>
}
#declare HandleElbow11 = intersection {
  box { // Cube019
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus011
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow12 = intersection {
  box { // Cube020
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus012
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle6 = union {
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow11 }
  object { HandleElbow12 }
  cylinder { // Cylndr018
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.63, -0.67>
}
#declare CabinetHandlePair2 = union {
  object { CabinetHandle5 }
  object { CabinetHandle6 }
  translate  <0.0, 1.38, 0.18>
}
#declare HandleElbow13 = intersection {
  box { // Cube021
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus013
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow14 = intersection {
  box { // Cube022
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus014
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle7 = union {
  cylinder { // Cylndr019
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr020
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow13 }
  object { HandleElbow14 }
  cylinder { // Cylndr021
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.78, -0.67>
}
#declare HandleElbow15 = intersection {
  box { // Cube023
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus015
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow16 = intersection {
  box { // Cube024
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus016
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle8 = union {
  cylinder { // Cylndr022
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr023
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow15 }
  object { HandleElbow16 }
  cylinder { // Cylndr024
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.63, -0.67>
}
#declare CabinetHandlePair3 = union {
  object { CabinetHandle7 }
  object { CabinetHandle8 }
  translate  <-0.22, -1.19, 0.21>
}
#declare HandleElbow17 = intersection {
  box { // Cube025
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus017
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow18 = intersection {
  box { // Cube026
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus018
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle9 = union {
  cylinder { // Cylndr025
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr026
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow17 }
  object { HandleElbow18 }
  cylinder { // Cylndr027
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.78, -0.67>
}
#declare HandleElbow19 = intersection {
  box { // Cube027
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.44, -0.41>
  }
  torus { // Torus019
    1.5, 0.5  rotate -x*90
    scale 0.02
    translate  <-2.95, -2.42, -0.41>
  }
}
#declare HandleElbow20 = intersection {
  box { // Cube028
    <-1, -1, -1>, <1, 1, 1>
    scale 0.02
    translate  <-2.93, -2.46, -0.41>
  }
  torus { // Torus020
    1.5, 0.5  rotate -x*90
    scale 0.02
    rotate <-180.0, -180.0, -180.0>
    translate  <-2.95, -2.48, -0.41>
  }
  translate  0.16*y
}
#declare CabinetHandle10 = union {
  cylinder { // Cylndr028
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.29, -0.41>
  }
  cylinder { // Cylndr029
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.03>
    rotate <-0.0, 90.0, 0.0>
    translate  <-2.98, -2.45, -0.41>
  }
  object { HandleElbow19 }
  object { HandleElbow20 }
  cylinder { // Cylndr030
    <0,0,1>, <0,0,0>, 1 
    scale <0.01, 0.01, 0.1>
    rotate <-90.0, 0.0, 0.0>
    translate  <-2.92, -2.42, -0.41>
  }
  rotate -0.0*y
  translate  <2.95, 2.37, 0.41>
  material {
    T_Chrome_3A
  }
  rotate -90.0*x
  translate  <-2.95, -2.63, -0.67>
}
#declare CabinetHandlePair4 = union {
  object { CabinetHandle9 }
  object { CabinetHandle10 }
  translate  <-0.22, -2.18, 0.21>
}
union { // BeanCabinetDoodads
  box { // BeanCabinetDoor1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.52>
    translate  <-3.0, -0.98, -0.83>
  }
  box { // BeanCabinetDoor2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.52>
    translate  <-3.0, -1.67, -0.83>
  }
  box { // BeanCabinetDoor3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.42>
    translate  <-3.0, -2.36, -0.93>
  }
  box { // BeanCabinetDoor4
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.42>
    translate  <-3.0, -3.05, -0.93>
  }
  box { // BeanCabinetDrawer1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.095>
    translate  <-3.0, -2.36, -0.405>
  }
  box { // BeanCabinetDrawer2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.34, 0.095>
    translate  <-3.0, -3.05, -0.405>
  }
  box { // BeanCabinetDoor5
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.24, 0.52>
    translate  <-3.22, -3.65, -0.83>
  }
  box { // BeanCabinetDoor6
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.24, 0.52>
    translate  <-3.22, -4.14, -0.83>
  }
  box { // BeanCabinetDoor7
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.24, 0.52>
    translate  <-3.22, -4.63, -0.83>
  }
  box { // BeanCabinetDoor8
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.24, 0.52>
    translate  <-3.22, -4.63, -0.83>
  }
  box { // BeanCabinetDoor9
    <-1, -1, -1>, <1, 1, 1>
    scale <0.02, 0.24, 0.52>
    translate  <-3.22, -5.12, -0.83>
  }
  object { CabinetHandle1 }
  object { CabinetHandle2 }
  object { CabinetHandlePair1 }
  object { CabinetHandlePair2 }
  object { CabinetHandlePair3 }
  object { CabinetHandlePair4 }
  material {
    CabinetWood
  }
}


union { // BeanCounterTop
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale <0.41, 2.4, 0.02>
    translate  <-3.59, -3.0, -0.28>
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale <0.52, 1.4, 0.02>
    translate  <-3.48, -2.0, -0.28>
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale <0.22, 0.46, 0.02>
    rotate <-0.0, -0.0, -16.0>
    translate  <-3.3, -3.78, -0.28>
  }
  rotate -0.0*y
  translate  <3.5, 0.0, 0.28>
  material {
    Countertop
  }
  scale <0.95, 1.0, 0.24>
  translate  <-3.53, 0.0, -0.26>
}


#declare BeanShelf = union {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <0.39, 2.4, 0.6>
    translate  <-3.61, -3.0, -0.9>
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <0.5, 1.4, 0.6>
    translate  <-3.5, -2.0, -0.9>
  }
  material {
    CabinetWood
  }
}
difference { // BeanShelfX
  object { BeanShelf }
  box { // ShelfDiff1
    <-1, -1, -1>, <1, 1, 1>
    scale <0.12, 1.45, 0.07>
    translate  <-3.0, -2.0, -1.44>
  }
  box { // ShelfDiff2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.6, 0.11, 0.07>
    translate  <-3.52, -0.6, -1.44>
  }
  box { // ShelfDiff3
    <-1, -1, -1>, <1, 1, 1>
    scale <0.23, 1.04, 0.07>
    translate  <-3.08, -4.36, -1.44>
  }
  material {
    CabinetWood
  }
}


union { // BeanCounter
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale <0.41, 2.4, 0.02>
    translate  <-3.59, -3.0, -0.28>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale <0.52, 1.4, 0.02>
    translate  <-3.48, -2.0, -0.28>
  }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale <0.22, 0.46, 0.02>
    rotate <-0.0, -0.0, -16.0>
    translate  <-3.3, -3.78, -0.28>
  }
  material {
    CabinetWood
  }
}


#declare MidSouthWallX = difference {
  box { // MidSouthWall
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 0.025, 1.9>
    translate  <-2.0, -5.4, 0.0>
  }
  box { // EastDoorCutout
    <-1, -1, -1>, <1, 1, 1>
    scale <0.52, 0.07, 1.2>
    translate  <-3.25, -5.4, -0.3>
  }
}
#declare SouthWallX = difference {
  box { // SouthWall
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 11.0, 1.9>
    translate  <-4.0, 3.0, 0.0>
  }
  box { // SouthEastDoorCutout
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <1.1, 0.07, 1.2>
    rotate -90.0*z
    translate  <-4.0, 0.77, -0.69>
  }
  box { // SouthEastDoorCutout1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <1.1, 0.07, 1.2>
    rotate -90.0*z
    translate  <-4.0, 11.07, -0.69>
  }
}
#declare Walls = union {
  box { // NorthWall
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 11.0, 1.9>
    translate  <4.0, 3.0, 0.0>
  }
  box { // BackWall
    <-1, -1, -1>, <1, 1, 1>
    scale <4.0, 0.00001, 1.9>
    translate  -8.0*y
  }
  box { // MidNorthWall
    <-1, -1, -1>, <1, 1, 1>
    scale <2.0, 0.00001, 1.9>
    translate  <2.0, -3.4, 0.0>
  }
  box { // MidMidWall
    <-1, -1, -1>, <1, 1, 1>
    scale <0.025, 1.0, 1.9>
    translate  -4.4*y
  }
  object { MidSouthWallX }
  object { SouthWallX }
  material {
    Wallbase
  }
}
#declare CeilingX = difference {
  box { // Ceiling
    <-1, -1, -1>, <1, 1, 1>
    material {
      CeilingTile
    }
    scale <4.0, 11.0, 0.1>
    translate  <0.0, 3.0, 1.97>
  }
  cylinder { // Cylndr144
    <0,0,1>, <0,0,0>, 1 
    material {
      WhiteMatteLam
    }
    scale <0.11, 0.11, 0.3>
    translate  <0.03, -0.82, 1.82>
  }
  cylinder { // Cylndr145
    <0,0,1>, <0,0,0>, 1 
    material {
      WhiteMatteLam
    }
    scale <0.11, 0.11, 0.3>
    translate  <-2.62, -0.82, 1.82>
  }
}
#declare RoasterPedestalX = difference {
  box { // RoasterPedestal
    <-1, -1, -1>, <1, 1, 1>
    material {
      T_Stone34
    }
    scale <2.0, 2.4, 0.2>
    translate  <-2.0, -3.0, -1.7>
  }
  object { Cylndr155 }
  object { // Cylndr156 -> Cylndr155
    Cylndr155
    rotate -0.0*x
    translate  <-1.2, -0.0, 0.0>
  }
  object { // Cylndr157 -> Cylndr155
    Cylndr155
    rotate -0.0*x
    translate  <-2.4, -0.0, 0.0>
  }
  object { Cylndr158 }
  object { // Cylndr159 -> Cylndr158
    Cylndr158
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, -1.2, -0.0>
  }
  object { // Cylndr160 -> Cylndr158
    Cylndr158
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, -2.4, -0.0>
  }
  object { // Cylndr162 -> Cylndr161
    Cylndr161
    rotate <-0.0, -0.0, 0.0>
    translate  -1.2*x
  }
  object { Cylndr161 }
  object { // Cylndr163 -> Cylndr161
    Cylndr161
    rotate <-0.0, -0.0, 0.0>
    translate  -2.4*x
  }
}
#declare Doorknob1 = union {
  cylinder { // Cylndr154
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.04>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.75, -5.425, -0.07>
  }
  sphere { // Sphere010
    <0,0,0>,1
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
    scale <0.07, 0.055, 0.07>
    translate  <-2.75, -5.34, -0.07>
  }
  rotate <0.0, -0.0, -0.0>
  translate  <2.755, 5.355, 0.07>
  translate  <-2.84, -5.355, -0.31>
}
#declare DoorknobX1 = difference {
  object { Doorknob1 }
  box { // Cube052
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.035, 0.02>
    translate  <-2.835, -5.32, -0.31>
  }
  material {
    Copper_Texture
  }
}
#declare EastDoorMolding1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.05, 0.07, 1.215>
  rotate <-0.0, -90.0, 0.0>
  translate  <-2.645, -5.37, 0.94>
}
#declare EastDoorMolding2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.05, 0.07, 2.485>
  rotate <-0.0, 0.0, -0.0>
  translate  <-2.69, -5.37, -1.5>
}
#declare EastDoorMolding3 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.045, 0.07, 2.485>
  rotate <180.0, 0.0, 180.0>
  translate  <-3.815, -5.37, 0.985>
}
#declare EastDoorAssy = union {
  object { DoorknobX1 }
  box { // EastDoor
    <-1, -1, -1>, <1, 1, 1>
    scale <0.52, 0.025, 1.2>
    translate  <-3.25, -5.445, -0.3>
  }
  object { EastDoorMolding1 }
  object { EastDoorMolding2 }
  object { EastDoorMolding3 }
  translate  0.005*y
}
#declare Doorknob2 = union {
  cylinder { // Cylndr164
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.04>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.75, -5.425, -0.07>
  }
  sphere { // Sphere011
    <0,0,0>,1
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
    scale <0.07, 0.055, 0.07>
    translate  <-2.75, -5.34, -0.07>
  }
  scale <14.285712, 1.0, 16.666666>
  rotate <0.0, -0.0, -0.0>
  translate  <39.357145, 5.355, 1.166666>
  scale <0.07, 1.0, 0.06>
  rotate <0.0, 0.0, 0.0>
  translate  <-2.84, -5.355, -0.31>
}
#declare DoorknobX2 = difference {
  object { Doorknob2 }
  box { // Cube053
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.035, 0.02>
    translate  <-2.835, -5.32, -0.31>
  }
  material {
    Copper_Texture
  }
  translate  -0.275*x
}
#declare SouthEastDoorMolding1 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.05, 0.07, 2.36>
  rotate <-0.0, -90.0, 0.0>
  translate  <-2.07, -5.37, 0.94>
}
#declare SouthEastDoorMolding2 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.05, 0.07, 2.485>
  rotate <-0.0, 0.0, -0.0>
  translate  <-2.115, -5.37, -1.5>
}
#declare SouthEastDoorMolding3 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.045, 0.07, 2.485>
  rotate <180.0, 0.0, 180.0>
  translate  <-4.39, -5.37, 0.985>
}
#declare Doorknob3 = union {
  cylinder { // Cylndr165
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.04>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.75, -5.425, -0.07>
  }
  sphere { // Sphere012
    <0,0,0>,1
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
    scale <0.07, 0.055, 0.07>
    translate  <-2.75, -5.34, -0.07>
  }
  scale <14.285712, 1.0, 16.666666>
  rotate <0.0, -0.0, -0.0>
  translate  <39.357145, 5.355, 1.166666>
  scale <0.07, 1.0, 0.06>
  rotate <0.0, 0.0, 0.0>
  translate  <-2.84, -5.355, -0.31>
}
#declare DoorknobX3 = difference {
  object { Doorknob3 }
  box { // Cube054
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.035, 0.02>
    translate  <-2.835, -5.32, -0.31>
  }
  material {
    Copper_Texture
  }
  translate  -0.575*x
}
#declare SouthEastDoorAssy = union {
  object { DoorknobX2 }
  box { // SouthEastDoor1
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <0.545, 0.025, 1.2>
    translate  <-2.705, -5.445, -0.3>
  }
  object { SouthEastDoorMolding1 }
  object { SouthEastDoorMolding2 }
  object { SouthEastDoorMolding3 }
  object { DoorknobX3 }
  box { // SouthEastDoor2
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <0.545, 0.025, 1.2>
    translate  <-3.81, -5.445, -0.3>
  }
  rotate 0.0*z
  translate  <3.245, 5.4, 0.0>
  rotate -90.0*z
  translate  <-4.0, 0.76, -0.39>
}
#declare Doorknob4 = union {
  cylinder { // Cylndr166
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.04>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.75, -5.425, -0.07>
  }
  sphere { // Sphere021
    <0,0,0>,1
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
    scale <0.07, 0.055, 0.07>
    translate  <-2.75, -5.34, -0.07>
  }
  scale <14.285712, 1.0, 16.666666>
  rotate <0.0, -0.0, -0.0>
  translate  <39.357145, 5.355, 1.166666>
  scale <0.07, 1.0, 0.06>
  rotate <0.0, 0.0, 0.0>
  translate  <-2.84, -5.355, -0.31>
}
#declare DoorknobX4 = difference {
  object { Doorknob4 }
  box { // Cube083
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.035, 0.02>
    translate  <-2.835, -5.32, -0.31>
  }
  material {
    Copper_Texture
  }
  translate  -0.275*x
}
#declare SouthEastDoorMolding4 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.05, 0.07, 2.36>
  rotate <-0.0, -90.0, 0.0>
  translate  <-2.07, -5.37, 0.94>
}
#declare SouthEastDoorMolding5 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.05, 0.07, 2.485>
  rotate <-0.0, 0.0, -0.0>
  translate  <-2.115, -5.37, -1.5>
}
#declare SouthEastDoorMolding6 = prism {
  linear_sweep
  linear_spline
  -1.0,0.0
  12  // control points
  <0.918471, -0.1>,
  <-0.768061, -0.1>,
  <-0.768061, 0.1>,
  <-0.768061, 0.1>,
  <0.604696, 0.1>,
  <0.605613, 0.201797>,
  <0.703971, 0.205715>,
  <0.703859, 0.292719>,
  <0.808568, 0.293459>,
  <0.808471, 0.374859>,
  <0.918471, 0.374859>,
  <0.918471, -0.1>
  rotate -x*90
  material {
    CabinetWood
  }
  scale <0.045, 0.07, 2.485>
  rotate <180.0, 0.0, 180.0>
  translate  <-4.39, -5.37, 0.985>
}
#declare Doorknob5 = union {
  cylinder { // Cylndr167
    <0,0,1>, <0,0,0>, 1 
    scale <0.025, 0.025, 0.04>
    rotate <-90.0, 0.0, -0.0>
    translate  <-2.75, -5.425, -0.07>
  }
  sphere { // Sphere022
    <0,0,0>,1
    rotate <-0.0, -0.0, 0.0>
    translate  <0.0, 0.0, 0.0>
    scale <0.07, 0.055, 0.07>
    translate  <-2.75, -5.34, -0.07>
  }
  scale <14.285712, 1.0, 16.666666>
  rotate <0.0, -0.0, -0.0>
  translate  <39.357145, 5.355, 1.166666>
  scale <0.07, 1.0, 0.06>
  rotate <0.0, 0.0, 0.0>
  translate  <-2.84, -5.355, -0.31>
}
#declare DoorknobX5 = difference {
  object { Doorknob5 }
  box { // Cube084
    <-1, -1, -1>, <1, 1, 1>
    scale <0.005, 0.035, 0.02>
    translate  <-2.835, -5.32, -0.31>
  }
  material {
    Copper_Texture
  }
  translate  -0.575*x
}
#declare SouthEastDoorAssy1 = union {
  object { DoorknobX4 }
  box { // SouthEastDoor3
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <0.545, 0.025, 1.2>
    translate  <-2.705, -5.445, -0.3>
  }
  object { SouthEastDoorMolding4 }
  object { SouthEastDoorMolding5 }
  object { SouthEastDoorMolding6 }
  object { DoorknobX5 }
  box { // SouthEastDoor4
    <-1, -1, -1>, <1, 1, 1>
    material {
      WalGreen
    }
    scale <0.545, 0.025, 1.2>
    translate  <-3.81, -5.445, -0.3>
  }
  rotate 0.0*z
  translate  <3.245, 5.4, 0.0>
  rotate -90.0*z
  translate  <-4.0, 11.06, -0.39>
}
union { // Structural_Elements
  object { Walls }
  box { // Floor
    <-1, -1, -1>, <1, 1, 1>
    material {
      FloorCarpet
    }
    scale <4.0, 11.0, 0.025>
    translate  <0.0, 3.0, -1.9>
  }
  object { CeilingX }
  object { RoasterPedestalX }
  object { EastDoorAssy }
  object { SouthEastDoorAssy }
  object { SouthEastDoorAssy1 }
  material {
    Wallbase
  }
}


